import { CanActivateFn } from '@angular/router';
import { environment } from 'apps/core-project/src/environments/environment';

export const registrationGuard: CanActivateFn = (route, state) => {
  if (environment['registrationEnabled']) {
    return true;
  }

  return false;
};
