import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DocumentsComponent } from './documents.component';
import { DocumentsRoutingModule } from '@core-project/containers/documents/documents-routing.module';
import { SharedComponentsModule } from '@core-project/modules/shared-components/shared-components.module';

@NgModule({
  declarations: [DocumentsComponent],
  imports: [CommonModule, DocumentsRoutingModule, SharedComponentsModule],
})
export class DocumentsModule {}
