import { Component, EventEmitter, Input, Output } from '@angular/core';
import { DocumentMetaField } from 'data-access/sdk/api2';

@Component({
  selector: 'app-document-meta-fields-table',
  templateUrl: './document-meta-fields-table.component.html',
  styleUrls: ['./document-meta-fields-table.component.scss'],
})
export class DocumentMetaFieldsTableComponent {
  @Input() documentMetaFields: DocumentMetaField[];
  @Output() edit: EventEmitter<DocumentMetaField> = new EventEmitter<DocumentMetaField>();

  @Output() delete: EventEmitter<DocumentMetaField> = new EventEmitter<DocumentMetaField>();
  @Output() onRowReorder: EventEmitter<DocumentMetaField[]> = new EventEmitter<DocumentMetaField[]>();

  rowReorder() {
    this.onRowReorder.emit(this.documentMetaFields);
  }
}
