import {Component, EventEmitter, Input, Output} from '@angular/core';
import {ProjectMeta} from 'data-access/sdk/api2';

@Component({
  selector: 'app-meta-fields-table',
  templateUrl: './meta-fields-table.component.html',
})
export class MetaFieldsTableComponent {
  @Input() metaFields: ProjectMeta[];

  @Output() editMeta: EventEmitter<ProjectMeta> = new EventEmitter<ProjectMeta>();
  @Output() deleteMeta: EventEmitter<ProjectMeta> = new EventEmitter<ProjectMeta>();
  @Output() onRowReorder: EventEmitter<ProjectMeta[]> = new EventEmitter<ProjectMeta[]>();

  rowReorder() {
    this.onRowReorder.emit(this.metaFields);
  }
}
