import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { NewsfeedComponent } from './newsfeed.component';
import { AuthGuard } from '../../auth/guards';

const newsfeedRoutes: Routes = [
  {
    path: 'newsfeed',
    component: NewsfeedComponent,
    canActivate: [AuthGuard],
  },
];

@NgModule({
  declarations: [],
  imports: [RouterModule.forChild(newsfeedRoutes)],
})
export class NewsfeedRoutingModule {}
