import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthGuard } from '@core-project/auth/guards';
import { OrganizationsComponent } from './organizations.component';
import {DATA_APP_TITLE_KEY} from 'data-access/store';

const organizationsRoutes: Routes = [
  {
    path: 'crm',
    component: OrganizationsComponent,
    canActivate: [AuthGuard],
    data: {[DATA_APP_TITLE_KEY]: 'COMPANIES.HEADER'}
  },
];

@NgModule({
  declarations: [],
  imports: [RouterModule.forChild(organizationsRoutes)],
})
export class OrganizationsRoutingModule {}
