import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProcurementsComponent } from './procurements.component';
import { AuthGuard } from '../../auth/guards';

const procurementsRoutes: Routes = [
  {
    path: 'procurements',
    component: ProcurementsComponent,
    canActivate: [AuthGuard],
  },
];

@NgModule({
  declarations: [],
  imports: [RouterModule.forChild(procurementsRoutes)],
})
export class ProcurementsRoutingModule {}
