import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AutofocusDirective } from '@core-project/directives';
import { FileDropDirective } from './file-drop.directive';
import { RepeatDirective } from './repeat.directive';
import { InsertComponentDirective } from './insert-component.directive';

@NgModule({
  declarations: [AutofocusDirective, FileDropDirective, RepeatDirective, InsertComponentDirective],
  imports: [CommonModule],
  exports: [AutofocusDirective, FileDropDirective, RepeatDirective, InsertComponentDirective],
})
export class DirectivesModule {}
