import { Observable } from 'rxjs';
import { Project } from 'data-access/sdk/api2';
import { ProjectMetaValue } from 'data-access/sdk/api2';
import { User } from 'data-access/sdk/api2';

export interface ProjectExtra extends Project {
  metas_by_id?: { [key: number]: ProjectMetaValue };
  members_by_type?: { [key: string]: string[] };
  users_by_role_id?: { [key: number]: User[] };
  stats?: Observable<Object>;
}
