import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BudgetCategoryFormComponent } from './budget-category-form/budget-category-form.component';
import { BudgetTypeFormComponent } from './budget-type-form/budget-type-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { InputTextModule } from 'primeng/inputtext';
import { TranslateModule } from '@ngx-translate/core';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';
import { DropdownModule } from 'primeng/dropdown';

@NgModule({
  declarations: [BudgetCategoryFormComponent, BudgetTypeFormComponent],
  imports: [CommonModule, ReactiveFormsModule, InputTextModule, TranslateModule, ButtonModule, RippleModule, DropdownModule],
})
export class FinanceFormsModule {}
