import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IssueDomainFormComponent } from './issue-domain-form/issue-domain-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { InputTextModule } from 'primeng/inputtext';
import { TranslateModule } from '@ngx-translate/core';
import { ColorPickerModule } from 'primeng/colorpicker';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';

@NgModule({
  declarations: [IssueDomainFormComponent],
  imports: [CommonModule, ReactiveFormsModule, InputTextModule, TranslateModule, ColorPickerModule, ButtonModule, RippleModule],
})
export class IssueFormsModule {}
