import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DialogModule } from 'primeng/dialog';
import { ReactiveFormsModule } from '@angular/forms';

import { DropdownModule } from 'primeng/dropdown';
import { EditorModule } from 'primeng/editor';
import { CalendarModule } from 'primeng/calendar';
import { InputTextareaModule } from 'primeng/inputtextarea';
import { InputTextModule } from 'primeng/inputtext';

import { DynamicDialogModule } from 'primeng/dynamicdialog';
import { NewsFormComponent } from './news-form.component';
import { TranslateModule } from '@ngx-translate/core';
import { RippleModule } from 'primeng/ripple';

@NgModule({
  declarations: [NewsFormComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    DynamicDialogModule,
    DialogModule,
    DynamicDialogModule,
    DropdownModule,
    InputTextModule,
    CalendarModule,
    EditorModule,
    InputTextareaModule,
    TranslateModule,
    RippleModule,
  ],
  exports: [NewsFormComponent],
})
export class NewsFormModule {}
