import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProjectExpenseFormComponent } from './project-expense-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { CalendarModule } from 'primeng/calendar';
import { TranslateModule } from '@ngx-translate/core';
import { DropdownModule } from 'primeng/dropdown';
import { InputNumberModule } from 'primeng/inputnumber';
import { InputTextareaModule } from 'primeng/inputtextarea';

@NgModule({
  declarations: [ProjectExpenseFormComponent],
  imports: [CommonModule, ReactiveFormsModule, CalendarModule, TranslateModule, DropdownModule, InputNumberModule, InputTextareaModule],
})
export class ProjectExpenseFormModule {}
