import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProjectMemberFormComponent } from './project-member-form.component';
import { DropdownModule } from 'primeng/dropdown';
import { ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { InputTextareaModule } from 'primeng/inputtextarea';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';

@NgModule({
  declarations: [ProjectMemberFormComponent],
  imports: [CommonModule, DropdownModule, ReactiveFormsModule, TranslateModule, InputTextareaModule, ButtonModule, RippleModule],
})
export class ProjectMemberFormModule {}
