import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProjectMetaGroupFormComponent } from './project-meta-group-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { InputTextModule } from 'primeng/inputtext';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';

@NgModule({
  declarations: [ProjectMetaGroupFormComponent],
  imports: [CommonModule, ReactiveFormsModule, TranslateModule, InputTextModule, ButtonModule, RippleModule],
})
export class ProjectMetaGroupFormModule {}
