import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProjectMetaValuesFormComponent } from './project-meta-values-form.component';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';
import { TranslateModule } from '@ngx-translate/core';
import { ReactiveFormsModule } from '@angular/forms';
import { SharedComponentsModule } from '@core-project/modules/shared-components/shared-components.module';
import { DropdownModule } from 'primeng/dropdown';
import { MultiSelectModule } from 'primeng/multiselect';
import { InputNumberModule } from 'primeng/inputnumber';
import { TriStateCheckboxModule } from 'primeng/tristatecheckbox';
import { InputTextModule } from 'primeng/inputtext';
import {UiCustomCalendarModule} from 'ui/custom-calendar';

@NgModule({
  declarations: [ProjectMetaValuesFormComponent],
  imports: [
    CommonModule,
    ButtonModule,
    RippleModule,
    TranslateModule,
    ReactiveFormsModule,
    SharedComponentsModule,
    DropdownModule,
    MultiSelectModule,
    InputNumberModule,
    TriStateCheckboxModule,
    InputTextModule,
    UiCustomCalendarModule,
  ],
})
export class ProjectMetaValuesFormModule {}
