import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProjectTypeFormComponent } from './project-type-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { InputTextModule } from 'primeng/inputtext';
import { TranslateModule } from '@ngx-translate/core';
import { DropdownModule } from 'primeng/dropdown';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';

@NgModule({
  declarations: [ProjectTypeFormComponent],
  imports: [CommonModule, ReactiveFormsModule, InputTextModule, TranslateModule, DropdownModule, ButtonModule, RippleModule],
})
export class ProjectTypeFormModule {}
