import { Component, Input } from '@angular/core';
import { ActionRecord } from '@core-project/interfaces';
import { ActionEnums } from '@core-project/enums';

@Component({
  selector: 'app-actions',
  templateUrl: './actions.component.html',
  styleUrls: ['./actions.component.scss'],
})
export class ActionsComponent {
  @Input() actions: ActionRecord[];
  @Input() style: any;
  @Input() styleClass: string;

  public actionTypeEnum = ActionEnums.TypeEnum;
}
