import { Component, ElementRef, Input } from '@angular/core';
import { Work } from 'data-access/sdk/api2';

@Component({
  selector: 'app-gantt-tooltip',
  templateUrl: './gantt-tooltip.component.html',
  styleUrls: ['./gantt-tooltip.component.scss'],
})
export class GanttTooltipComponent {
  @Input() work: Work;

  elementRef: ElementRef;

  constructor(private elRef: ElementRef) {
    this.elementRef = elRef;
  }
}
