import { Inject, LOCALE_ID, Pipe, PipeTransform } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';

/** @deprecated Use `DiffPipe` in nx library. */
@Pipe({
  name: 'diff',
})
export class DiffPipe implements PipeTransform {
  constructor(@Inject(LOCALE_ID) private locale: string, private ts: TranslateService) {}

  transform(n: number): unknown {
    if (!n) {
      return null;
    }
    return (n < 0 ? '' : '+') + n + ' ' + this.ts.instant('DIFFS.DAYS');
  }
}
