import {CommentBaseModel} from './comment-base.model';

export interface RelationshipModelIds {
  replyToId?: number;
}

interface CommentModelRelations {
  replyTo?: CommentBaseModel;
}

export interface CommentModel extends CommentModelRelations, RelationshipModelIds, CommentBaseModel {
}


export type NewCommentModel = Pick<CommentBaseModel, 'text' | 'authorId'> & Partial<RelationshipModelIds>;
