import {IssueStatusEnum} from './issue-status.enum';

export interface IssueBaseModel {
  id: number;
  cause?: string; // not used
  createdAt?: string;
  description?: string;
  name: string;
  order?: number;
  projectName?: string;
  resolveDate?: string;
  response?: string;
  severity: number;
  status?: IssueStatusEnum;
}
