import {ProjectMetaModel} from './project-meta.model';

interface ProjectMetaValueModelRelations {
  // ids
  metaId?: number;

  // models
  meta?: ProjectMetaModel;
}

export interface ProjectMetaValueModel extends ProjectMetaValueModelRelations {
  id?: number;
  created?: string;
  project?: number;
  updated?: string;
  value_CH?: string;
  value_CHS?: string;
  value_DT?: string;
  value_FLAG?: boolean;
  value_FLT?: number;
  value_INT?: number;
  value_MCHS: string[];
  value_MONEY?: string;
  value_MONEY_currency?: string;
  value_TXT?: string;
  value_URL?: string;
}
