import { DepartmentModel } from '../../departments';
import { UserModel } from '../../users';
import { ProjectMilestoneStatusEnum } from './project-milestone-status.enum';

interface ProjectMilestoneModelRelations {
  toDepartmentId?: number;
  toUserId?: number;

  toDepartment?: DepartmentModel;
  toUser?: UserModel;
}

export interface ProjectMilestoneModel extends ProjectMilestoneModelRelations {
  id: number;
  endEff: string;
  indicator?: string;
  name: string;
  overdueDaysBase?: string;
  status?: ProjectMilestoneStatusEnum;
}
