import {UserBaseModel} from './user-base.model';
import {CompanyModel} from '../../companies';
import {DepartmentBaseModel} from '../../departments';
import {TelephoneModel} from '../../telephones';

interface UserModelRelations {
  // ids
  companyId?: number;
  departmentId?: number;
  telephoneIds: number[];
  // models
  company?: CompanyModel;
  department?: DepartmentBaseModel;
  telephones: TelephoneModel[];
}

export interface UserModel extends UserModelRelations, UserBaseModel {
}

