export enum WorkStatusEnum {
  BL = 'BL', // backlog
  CR = 'CR', // todo
  WP = 'WP', // work in progress
  DN = 'DN', // review
  AC = 'AC', // all completed
  CN = 'CN', // cancel
  PS = 'PS', // paused
}

export namespace WorkStatusEnum {
  export function check(value: string): value is WorkStatusEnum {
    return value === WorkStatusEnum.BL
      || value === WorkStatusEnum.CR
      || value === WorkStatusEnum.WP
      || value === WorkStatusEnum.DN
      || value === WorkStatusEnum.AC
      || value === WorkStatusEnum.CN
      || value === WorkStatusEnum.PS;
  }
}
