import {MenuItem} from 'primeng/api';

import {IAppTitle} from './index';
import {UserModel} from 'data-access/sdk/internal-api';

export namespace GlobalActions {
  export class SetUser {
    static readonly type: string = '[GlobalActions] Set userId.';

    constructor(readonly user: UserModel) {
    }
  }

  export class ResetUser {
    static readonly type: string = '[GlobalActions] Reset userId.';
  }

  export class SetAppTitle {
    static readonly type: string = '[GlobalActions] Set app title.';

    constructor(readonly appTitle: IAppTitle) {
    }
  }

  export class ResetAppTitle {
    static readonly type: string = '[GlobalActions] Reset app title.';
  }

  export class SetTopMenuItems {
    static readonly type: string = '[GlobalActions] Set top menu items.';

    constructor(readonly items: MenuItem[]) {
    }
  }
}
