import {CustomDashboardsState, CustomDashboardsStateModel} from './custom-dashboards.state';
import {DashboardPluginModel} from 'data-access/sdk/internal-api';
import {Selector} from '@ngxs/store';

export class CustomDashboardsSelectors {
  @Selector([CustomDashboardsState])
  static plugins({plugins}: CustomDashboardsStateModel): DashboardPluginModel[] {
    return plugins.filter((plugin) => plugin.isEnabled);
  }
}
