import {Selector} from '@ngxs/store';
import {DashboardPluginModel} from 'data-access/sdk/internal-api';
import {DashboardPluginState} from './dashboard-plugin.state';
import {DashboardPluginStateModel} from './dashboard-plugin-state.model';

export class DashboardPluginSelectors {
  @Selector([DashboardPluginState])
  static plugin({plugin}: DashboardPluginStateModel): DashboardPluginModel | undefined {
    return plugin;
  }
}
