import {HistoryActionModel, IssueDomainModel, IssueModel, LinkModel, ProjectModel, UserModel} from 'data-access/sdk/internal-api';

export interface IssuesStateModel {
  canDelete: boolean;
  canUpdate: boolean;
  canCreateComment: boolean;
  canCreateWork: boolean;

  issue?: IssueModel;
  links: LinkModel[];
  issueHistory: HistoryActionModel[];

  isCommentsLoading: boolean;
  isIssueLoading: boolean;
  isOptionsLoading: boolean;

  issueDomainsOptions: IssueDomainModel[];
  usersOptions: UserModel[];
  projectsOptions: ProjectModel[];
}
