import { StateToken } from '@ngxs/store';
import { NotificationModel } from 'data-access/sdk/internal-api';

export interface NotificationsStateModel {
  queue: NotificationModel[];
  notifications: NotificationModel[];
  notificationsPageSize: number;
  unreadNotificationsCount: number;
}

export const stateToken = new StateToken<NotificationsStateModel>('notifications');
