import { SidebarHeaderActionModel } from './models/sidebar-action.model';
import { SidebarComponentElementModel } from './models/sidebar-component-element.model';
import { Observable } from 'rxjs';

export interface RightSidebarStateModel {
  isBlocked: boolean;
  rightSidebarOpened: boolean;
  header: string;
  customHeaderStatus: boolean;
  sidebarHeaderActions: SidebarHeaderActionModel[];
  component?: SidebarComponentElementModel;
  canDeactivateFn?: () => Observable<boolean | undefined>;
}
