import { Selector } from '@ngxs/store';

import { RIGHT_SIDEBAR_STATE_TOKEN } from './right-sidebar.state';
import { RightSidebarStateModel } from './right-sidebar-state.model';

export class RightSidebarSelectors {
  @Selector([RIGHT_SIDEBAR_STATE_TOKEN])
  static rightSidebarOpened({ rightSidebarOpened }: RightSidebarStateModel) {
    return rightSidebarOpened;
  }

  @Selector([RIGHT_SIDEBAR_STATE_TOKEN])
  static header({ header }: RightSidebarStateModel) {
    return header;
  }

  @Selector([RIGHT_SIDEBAR_STATE_TOKEN])
  static showDefaultHeader({ customHeaderStatus }: RightSidebarStateModel) {
    return !customHeaderStatus;
  }

  @Selector([RIGHT_SIDEBAR_STATE_TOKEN])
  static sidebarHeaderActions({ sidebarHeaderActions }: RightSidebarStateModel) {
    return sidebarHeaderActions;
  }

  @Selector([RIGHT_SIDEBAR_STATE_TOKEN])
  static component({ component }: RightSidebarStateModel) {
    return component;
  }

  @Selector([RIGHT_SIDEBAR_STATE_TOKEN])
  static componentData({ component }: RightSidebarStateModel) {
    return component?.data;
  }

  @Selector([RIGHT_SIDEBAR_STATE_TOKEN])
  static isBlocked({ isBlocked }: RightSidebarStateModel) {
    return isBlocked;
  }
}
