import {DepartmentModel, HistoryActionModel, LinkModel, UserModel, WorkModel} from 'data-access/sdk/internal-api';

export interface WorksStateModel {
  canDeleteWork: boolean;
  canUpdateWork: boolean;
  canCreateComment: boolean;
  canCreateIssue: boolean;
  canCreateWork: boolean;

  isWorkLoading: boolean;
  isOptionsLoading: boolean;
  isCommentsLoading: boolean;

  departmentsOptions: DepartmentModel[];
  usersOptions: UserModel[];

  work: WorkModel | undefined;
  links: LinkModel[];
  history: HistoryActionModel[];
}
