import {Route} from '@angular/router';

import {DebugNotificationsComponent} from './components/debug-notifications/debug-notifications.component';
import {DevtoolsComponent} from './containers/devtools.component';
import {DebugSidebarsComponent} from './components/debug-sidebars/debug-sidebars.component';
import {DebugIconsComponent} from './components/debug-icons/debug-icons.component';
import {DebugMilestoneTimelineComponent} from './components/debug-milestone-timeline/debug-milestone-timeline.component';

export const devtoolsRoutes: Route[] = [
  {path: 'notifications', component: DebugNotificationsComponent},
  {path: 'sidebars', component: DebugSidebarsComponent},
  {path: 'icons', component: DebugIconsComponent},
  {path: 'milestones-timeline', component: DebugMilestoneTimelineComponent},
  {path: '', component: DevtoolsComponent},
  {path: '**', component: DevtoolsComponent},
];
