import {ChangeDetectionStrategy, Component} from '@angular/core';
import {DynamicDialogConfig} from 'primeng/dynamicdialog';

import {IssueModel} from 'data-access/sdk/internal-api';


// not realized
@Component({
  selector: 'lib',
  templateUrl: './modal-issue-container.component.html',
  styleUrls: ['./modal-issue-container.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ModalIssueContainerComponent {

  issue: IssueModel;

  constructor(
    private config: DynamicDialogConfig,
  ) {
    this.issue = this.config.data.issue$;
  }
}
