import { FormControl } from '@angular/forms';

import { EntityModel } from 'ui/forms-ui';
import { WorkStatusEnum, WorkTypeEnum } from 'data-access/sdk/internal-api';

export interface WorkFormGroupInterface {
  id: FormControl<number | null>;
  deadline: FormControl<string | null>;
  description: FormControl<string>;
  endBase: FormControl<string | null>;
  executor: FormControl<EntityModel | null>;
  inspector: FormControl<EntityModel | null>;
  name: FormControl<string>;
  priority: FormControl<number>;
  startBase: FormControl<string | null>;
  status: FormControl<WorkStatusEnum>;
  workType: FormControl<WorkTypeEnum>;
}
