import {WorkStatusEnum, WorkTypeEnum} from 'data-access/sdk/internal-api';

export interface WorkFormModel {
  id?: number;
  deadline?: string; // iso
  description?: string;
  endBase?: string; // iso
  name: string;
  priority: number; // can be negative, zero or positive
  startBase?: string; // iso
  status: WorkStatusEnum;
  workType: WorkTypeEnum;

  // relation ids
  toDepartmentId?: number; // executor (or)
  toUserId?: number; // executor (or)
  valUserId?: number; // inspector
}
