import { ProjectMilestoneStatusEnum } from 'data-access/sdk/internal-api';

export const MILESTONE_STATUSES = [
  {
    label: 'LIBS.FEATURES.WORKS.STATUS.BL',
    value: ProjectMilestoneStatusEnum.BL,
    icon: 'ci-backlog',
    iconColor: '#ADB1C2',
    bgColor: '#F4F4F6',
  },
  {
    label: 'LIBS.FEATURES.WORKS.STATUS.CR',
    value: ProjectMilestoneStatusEnum.CR,
    icon: 'ci-todo',
    iconColor: '#A871EF',
    bgColor: '#E5E4FF',
  },
  {
    label: 'LIBS.FEATURES.WORKS.STATUS.WP',
    value: ProjectMilestoneStatusEnum.WP,
    icon: 'ci-in-progress',
    iconColor: '#1677CC',
    bgColor: '#D9EDFF',
  },
  {
    label: 'LIBS.FEATURES.WORKS.STATUS.DN',
    value: ProjectMilestoneStatusEnum.DN,
    icon: 'ci-on-check',
    iconColor: '#FB9600',
    bgColor: '#FFE1B3',
  },
  {
    label: 'LIBS.FEATURES.WORKS.STATUS.AC',
    value: ProjectMilestoneStatusEnum.AC,
    icon: 'ci-completed',
    iconColor: '#71AF74',
    bgColor: '#CFF6D1',
  },
  {
    label: 'LIBS.FEATURES.WORKS.STATUS.CN',
    value: ProjectMilestoneStatusEnum.CN,
    icon: 'ci-cancelled',
    iconColor: '#DA4A4A',
    bgColor: '#FFC2C2',
  },
  {
    label: 'LIBS.FEATURES.WORKS.STATUS.PS',
    value: ProjectMilestoneStatusEnum.PS,
    icon: 'ci-paused',
    iconColor: '#DA4A4A',
    bgColor: '#FFC2C2',
  },
];
