import { OverlayPanel } from 'primeng/overlaypanel';
import { ColorStatusEnum } from './color-status.enum';
import { PointTypeEnum } from './point-type.enum';
import { Point } from '../classes/point.class';

export interface CreatePointInterface<OverlayData> {
  colorStatus: ColorStatusEnum;
  id: string;
  offsetX: number;
  offsetY: number;
  overlayPanel?: OverlayPanel;
  overlayEventFn?: (point: Point) => void;
  overlayData?: OverlayData;
  pointType: PointTypeEnum;
  text?: string;
  textLineHeight?: number;
}
