# core-project

## Installation

### Requirements

-   Node >v12
-   Yarn

### Install requirements

## Configuration

### Backend server

Open `src/environments/environment*` files and change `API_BASE_PATH` to represent your backend server address.

## Development deployment

Run `yarn install` to install all npm modules.

Run `yarn run api-gen` to generate backend api.

## Development server

Run `ng serve` for a dev server. Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

### Code scaffolding

Run `ng generate component component-name` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

### Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory. Use the `--prod` flag for a production build.

### Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

### Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via [Protractor](http://www.protractortest.org/).

### Generating backend server API

Run `yarn run api-gen` to generate api and models.
By default, it uses `http://127.0.0.1:8000/swagger.json` as server address,
you can override it like that: `yarn run api-gen -- http://127.0.0.1:8000/swagger.json` (note the double hypens).

## Deployment

```console
$ curl -fsSL https://deb.nodesource.com/setup_16.x | sudo -E bash - && sudo apt-get install -y nodejs

$ npm install --global yarn
```
