import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProjectCategoriesFacadeComponent } from './project-categories-facade.component';

const routes: Routes = [
  {
    path: '',
    component: ProjectCategoriesFacadeComponent,
    pathMatch: 'full',
  },
  {
    path: ':category',
    component: ProjectCategoriesFacadeComponent,
  },
  {
    path: ':category/:projectType',
    component: ProjectCategoriesFacadeComponent,
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ProjectCategoriesRoutingModule {}
