import { Pipe, PipeTransform } from '@angular/core';

import { StageModel } from 'data-access/sdk/internal-api';

@Pipe({
  name: 'filterStages',
  standalone: true,
})
export class FilterStagesPipe implements PipeTransform {
  transform(stages: StageModel[], ...args: StageModel['id'][]): StageModel[] {
    return stages.filter((stage) => args.some((id) => id !== stage.id));
  }
}
