import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NewsfeedComponent } from './newsfeed.component';
import { ReactiveFormsModule } from '@angular/forms';
import { NewsfeedRoutingModule } from './newsfeed-routing.module';
import { FieldsetModule } from 'primeng/fieldset';
import { OverlayPanelModule } from 'primeng/overlaypanel';
import { ButtonModule } from 'primeng/button';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { VirtualScrollerModule } from 'primeng/virtualscroller';

@NgModule({
  declarations: [NewsfeedComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    NewsfeedRoutingModule,
    FieldsetModule,
    ButtonModule,
    ConfirmDialogModule,
    OverlayPanelModule,
    VirtualScrollerModule,
  ],
  exports: [],
})
export class NewsfeedModule {}
