import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProgramsComponent } from './programs.component';
import { ProgramsRoutingModule } from './programs-routing.module';
import { ProgramsStructureComponent } from './programs-structure/programs-structure.component';
import { ProgramsRoadmapComponent } from './programs-roadmap/programs-roadmap.component';
import { RouterModule } from '@angular/router';
import { ButtonModule } from 'primeng/button';

@NgModule({
  declarations: [ProgramsComponent, ProgramsStructureComponent, ProgramsRoadmapComponent],
  imports: [CommonModule, ProgramsRoutingModule, RouterModule, ButtonModule],
})
export class ProgramsModule {}
