import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RisksComponent } from './risks.component';
import { RisksRoutingModule } from './risks-routing.module';
import { TranslateModule } from '@ngx-translate/core';
import { SelectButtonModule } from 'primeng/selectbutton';
import { FormsModule } from '@angular/forms';
import { SharedComponentsModule } from '@core-project/modules/shared-components/shared-components.module';

@NgModule({
  declarations: [RisksComponent],
  imports: [CommonModule, RisksRoutingModule, TranslateModule, SelectButtonModule, FormsModule, SharedComponentsModule],
})
export class RisksModule {}
