export namespace ProjectEnums {
  export type IndicatorEnum = 'NA' | 'GREEN' | 'AMBER' | 'RED';
  export const IndicatorEnum = {
    NA: 'NA' as IndicatorEnum,
    GREEN: 'GREEN' as IndicatorEnum,
    AMBER: 'AMBER' as IndicatorEnum,
    RED: 'RED' as IndicatorEnum,
  };

  export type StageEnum = 'IDEA' | 'INIT' | 'PREPARING' | 'EXECUTION' | 'CLOSING' | 'MONITORING';
  export const StageEnum = {
    IDEA: 'IDEA' as StageEnum,
    INIT: 'INIT' as StageEnum,
    PREPARING: 'PREPARING' as StageEnum,
    EXECUTION: 'EXECUTION' as StageEnum,
    CLOSING: 'CLOSING' as StageEnum,
    MONITORING: 'MONITORING' as StageEnum,
  };

  export type StatusEnum = 'FUT' | 'ACT' | 'CLS' | 'CNC' | 'PSP';
  export const StatusEnum = {
    FUT: 'FUT' as StatusEnum,
    ACT: 'ACT' as StatusEnum,
    CLS: 'CLS' as StatusEnum,
    CNC: 'CNC' as StatusEnum,
    PSP: 'PSP' as StatusEnum,
  };

  export type MemberTypeEnum = 'GENERAL_CUSTOMER' | 'CUSTOMER' | 'CO_EXECUTOR' | 'CONTRACTOR' | 'SUPPLIER';
  export const MemberTypeEnum = {
    GENERAL_CUSTOMER: 'GENERAL_CUSTOMER' as MemberTypeEnum,
    CUSTOMER: 'CUSTOMER' as MemberTypeEnum,
    CO_EXECUTOR: 'CO_EXECUTOR' as MemberTypeEnum,
    CONTRACTOR: 'CONTRACTOR' as MemberTypeEnum,
    SUPPLIER: 'SUPPLIER' as MemberTypeEnum,
  };

  export type DataTypeEnum = 'DT' | 'CH' | 'TXT' | 'INT' | 'FLT' | 'FK' | 'MTM' | 'CHS' | 'MCHS' | 'FLAG';
  export const DataTypeEnum = {
    DT: 'DT' as DataTypeEnum,
    CH: 'CH' as DataTypeEnum,
    TXT: 'TXT' as DataTypeEnum,
    INT: 'INT' as DataTypeEnum,
    FLT: 'FLT' as DataTypeEnum,
    FK: 'FK' as DataTypeEnum,
    MTM: 'MTM' as DataTypeEnum,
    CHS: 'CHS' as DataTypeEnum,
    MCHS: 'MCHS' as DataTypeEnum,
    FLAG: 'FLAG' as DataTypeEnum,
  };

  export type BudgetPeriodScaleEnum = 'MON' | 'QTR' | 'YR';
  export const BudgetPeriodScaleEnum = {
    MON: 'MON' as BudgetPeriodScaleEnum,
    QTR: 'QTR' as BudgetPeriodScaleEnum,
    YR: 'YR' as BudgetPeriodScaleEnum,
  };
  export type BudgetOptionsEnum = 'PLAN' | 'FACT' | 'FTFC';
  export const BudgetOptionsEnum = {
    PLAN: 'PLAN' as BudgetOptionsEnum,
    FACT: 'FACT' as BudgetOptionsEnum,
    FTFC: 'FTFC' as BudgetOptionsEnum,
  };
}
