export namespace UserSettingsEnums {
  export type LayoutEnum = 'static' | 'overlay' | 'horizontal';
  export const LayoutEnum = {
    static: 'static' as LayoutEnum,
    overlay: 'overlay' as LayoutEnum,
    horizontal: 'horizontal' as LayoutEnum,
  };

  export type ThemeEnum = 'dark' | 'light';
  export const ThemeEnum = {
    dark: 'dark' as ThemeEnum,
    light: 'light' as ThemeEnum,
  };
}
