export namespace WorkEnums {
  export type WorkTypeEnum = 'TS' | 'GR' | 'MS' | 'AS';
  export const WorkTypeEnum = {
    TS: 'TS' as WorkTypeEnum,
    GR: 'GR' as WorkTypeEnum,
    MS: 'MS' as WorkTypeEnum,
    AS: 'AS' as WorkTypeEnum,
  };
  export type StatusEnum = 'BL' | 'CR' | 'WP' | 'DN' | 'AC' | 'CN' | 'PS';
  export const StatusEnum = {
    BL: 'BL' as StatusEnum,
    CR: 'CR' as StatusEnum,
    WP: 'WP' as StatusEnum,
    DN: 'DN' as StatusEnum,
    AC: 'AC' as StatusEnum,
    CN: 'CN' as StatusEnum,
    PS: 'PS' as StatusEnum,
  };
  export type SwimlaneEnum = 'BACKLOG' | 'TODO' | 'INPROGRESS' | 'INREVIEW' | 'DONE' | 'ARCHIVE';
  export const SwimlaneEnum = {
    BACKLOG: 'BACKLOG' as SwimlaneEnum,
    TODO: 'TODO' as SwimlaneEnum,
    INPROGRESS: 'INPROGRESS' as SwimlaneEnum,
    INREVIEW: 'INREVIEW' as SwimlaneEnum,
    DONE: 'DONE' as SwimlaneEnum,
    ARCHIVE: 'ARCHIVE' as SwimlaneEnum,
  };

  export type LinkTypeEnum = '0' | '1' | '2' | '3';
  export const LinkTypeEnum = {
    FTS: '0' as LinkTypeEnum,
    STS: '1' as LinkTypeEnum,
    FTF: '2' as LinkTypeEnum,
    STF: '3' as LinkTypeEnum,
  };

  export type GanttScaleEnum = 'day' | 'week' | 'month' | 'quarter' | 'year';
  export const GanttScaleEnum = {
    DAY: 'day' as GanttScaleEnum,
    WEEK: 'week' as GanttScaleEnum,
    MONTH: 'month' as GanttScaleEnum,
    QUARTER: 'quarter' as GanttScaleEnum,
    YEAR: 'year' as GanttScaleEnum,
  };

  export type GanttViewModeEnum = 'current' | 'base';
  export const GanttViewModeEnum = {
    CURR: 'current' as GanttViewModeEnum,
    BASE: 'base' as GanttViewModeEnum,
  };

  export type GanttModeEnum = 'PROJECT' | 'DEPARTMENT' | 'TEMPLATE' | 'ROADMAP';
  export const GanttModeEnum = {
    PROJECT: 'PROJECT' as GanttModeEnum,
    DEPARTMENT: 'DEPARTMENT' as GanttModeEnum,
    TEMPLATE: 'TEMPLATE' as GanttModeEnum,
    ROADMAP: 'ROADMAP' as GanttModeEnum,
  };

  export type GanttNodeEnum = 'WORK' | 'USER' | 'DEPARTMENT' | 'TEMPLATE' | 'PROJECT' | 'PROJECT_GROUP';
  export const GanttNodeEnum = {
    WORK: 'WORK' as GanttNodeEnum,
    USER: 'USER' as GanttNodeEnum,
    PROJECT: 'PROJECT' as GanttNodeEnum,
    PROJECT_GROUP: 'PROJECT_GROUP' as GanttNodeEnum,
    DEPARTMENT: 'DEPARTMENT' as GanttNodeEnum,
    TEMPLATE: 'TEMPLATE' as GanttNodeEnum,
  };
}
