import { ReportPluginEnums } from '@core-project/enums/report-plugins';

export const formatToExtensionMapping = {
  [ReportPluginEnums.FormatEnum.PDF]: '.pdf',
  [ReportPluginEnums.FormatEnum.PNG]: '.png',
  [ReportPluginEnums.FormatEnum.PPTX]: '.pptx',
  [ReportPluginEnums.FormatEnum.XSLX]: '.xslx',
  [ReportPluginEnums.FormatEnum.DOCX]: '.docx',
};

export function getExtensionForFormat(format: ReportPluginEnums.FormatEnum): string {
  return formatToExtensionMapping[format];
}
