import { TreeNode } from 'primeng/api';

export function treeNodeFindByKey(items: TreeNode[], key: string): TreeNode {
  for (const node of items) {
    if (node.key === key) {
      return node;
    }
    if (node.children) {
      return treeNodeFindByKey(node.children, key);
    }
    return null;
  }
}
