import { WidgetParams } from '@core-project/interfaces';
import { ProjectGroupStatusComponent } from '@core-project/containers/dashboard/widgets/project-group-status/project-group-status.component';
import { ProjectGroupRoadmapComponent } from '@core-project/containers/dashboard/widgets/project-group-roadmap/project-group-roadmap.component';
import { ProjectGroupBudgetComponent } from '@core-project/containers/dashboard/widgets/project-group-budget/project-group-budget.component';
import { StatusReportComponent } from '@core-project/containers/dashboard/widgets/status-report/status-report.component';
import { UserWidgetEnums } from '@core-project/enums';

export const widgetsParams: WidgetParams[] = [
  {
    name: UserWidgetEnums.WidgetEnum.STATUSREPORT,
    defaultWidth: '500px',
    defaultHeight: '200px',
    component: StatusReportComponent,
  },
  {
    name: UserWidgetEnums.WidgetEnum.ROADMAP,
    defaultWidth: '600px',
    defaultHeight: '400px',
    component: ProjectGroupRoadmapComponent,
  },
  {
    name: UserWidgetEnums.WidgetEnum.BUDGETREPORT,
    defaultWidth: '600px',
    defaultHeight: '400px',
    component: ProjectGroupBudgetComponent,
  },
];
