import { ActionEnums } from '@core-project/enums';
import { CRUDEvent } from 'data-access/sdk/api2';
import { Comment } from 'data-access/sdk/api2';

export interface ActionRecord {
  type: ActionEnums.TypeEnum;
  date: Date;
  historyRecord?: CRUDEvent;
  comment?: Comment;
}
