import { TotalProjectBudgetItem } from '@core-project/interfaces/finance/total-project-budget-item.interface';
import { ProjectBudgetItem } from 'data-access/sdk/api2';

export interface YearData {
  year: number;
  months: Array<number>;
  quarters: Array<number>;
  quarterLengths: Array<number>;
  nowMonth?: number;
  yearData?: TotalProjectBudgetItem;
  quarterData?: Array<TotalProjectBudgetItem>;
  monthData?: Array<ProjectBudgetItem>;
}
