import { UserWidgetEnums } from '@core-project/enums';
import { Component, Type } from '@angular/core';

export interface WidgetParams {
  name: UserWidgetEnums.WidgetEnum;
  component: Type<any>;
  defaultWidth: string;
  defaultHeight: string;
  minWidth?: number;
  minHeight?: number;
  maxWidth?: number;
  maxHeight?: number;
}
