import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DashboardFormComponent } from './dashboard-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { InputTextModule } from 'primeng/inputtext';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';
import { TranslateModule } from '@ngx-translate/core';

@NgModule({
  declarations: [DashboardFormComponent],
  imports: [CommonModule, ReactiveFormsModule, InputTextModule, ButtonModule, RippleModule, TranslateModule],
})
export class DashboardFormModule {}
