import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DepartmentFormComponent } from './department-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { InputTextModule } from 'primeng/inputtext';
import { TranslateModule } from '@ngx-translate/core';
import { DropdownModule } from 'primeng/dropdown';
import { EditorModule } from 'primeng/editor';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';
import { InputTextareaModule } from 'primeng/inputtextarea';

@NgModule({
  declarations: [DepartmentFormComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    InputTextModule,
    TranslateModule,
    DropdownModule,
    EditorModule,
    ButtonModule,
    RippleModule,
    InputTextareaModule,
  ],
})
export class DepartmentFormModule {}
