import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProfileFormComponent } from './profile-form.component';
import { ButtonModule } from 'primeng/button';
import { ScrollPanelModule } from 'primeng/scrollpanel';
import { CheckboxModule } from 'primeng/checkbox';
import { FileUploadModule } from 'primeng/fileupload';
import { TooltipModule } from 'primeng/tooltip';
import { CalendarModule } from 'primeng/calendar';
import { ReactiveFormsModule } from '@angular/forms';
import { InputTextModule } from 'primeng/inputtext';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { DropdownModule } from 'primeng/dropdown';
import { InputNumberModule } from 'primeng/inputnumber';
import { ImageModule } from 'primeng/image';
import { TranslateModule } from '@ngx-translate/core';
import { RippleModule } from 'primeng/ripple';

@NgModule({
  declarations: [ProfileFormComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    ButtonModule,
    ScrollPanelModule,
    CheckboxModule,
    FileUploadModule,
    TooltipModule,
    CalendarModule,
    InputTextModule,
    ConfirmDialogModule,
    DropdownModule,
    InputNumberModule,
    ImageModule,
    TranslateModule,
    RippleModule,
  ],
  exports: [ProfileFormComponent],
})
export class ProfileFormModule {}
