import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProjectGroupFormComponent } from './project-group-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { DialogModule } from 'primeng/dialog';
import { ButtonModule } from 'primeng/button';
import { DropdownModule } from 'primeng/dropdown';
import { InputTextModule } from 'primeng/inputtext';
import { RippleModule } from 'primeng/ripple';

@NgModule({
  declarations: [ProjectGroupFormComponent],
  exports: [ProjectGroupFormComponent],
  imports: [CommonModule, ReactiveFormsModule, InputTextModule, DialogModule, ButtonModule, DropdownModule, TranslateModule, RippleModule],
})
export class ProjectGroupFormModule {}
