import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProjectMetaFormComponent } from './project-meta-form.component';
import { DialogModule } from 'primeng/dialog';
import { ButtonModule } from 'primeng/button';
import { DropdownModule } from 'primeng/dropdown';
import { EditorModule } from 'primeng/editor';
import { InputTextareaModule } from 'primeng/inputtextarea';
import { InputTextModule } from 'primeng/inputtext';
import { MultiSelectModule } from 'primeng/multiselect';
import { ToggleButtonModule } from 'primeng/togglebutton';
import { ReactiveFormsModule } from '@angular/forms';
import { RippleModule } from 'primeng/ripple';
import { TranslateModule } from '@ngx-translate/core';
import { CheckboxModule } from 'primeng/checkbox';
import { ChipsModule } from 'primeng/chips';

@NgModule({
  declarations: [ProjectMetaFormComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    DialogModule,
    DropdownModule,
    InputTextModule,
    EditorModule,
    InputTextareaModule,
    ToggleButtonModule,
    MultiSelectModule,
    ButtonModule,
    RippleModule,
    TranslateModule,
    CheckboxModule,
    ChipsModule,
  ],
  exports: [ProjectMetaFormComponent],
})
export class ProjectMetaFormModule {}
