import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ProjectViewFormComponent } from './project-view-form.component';

import { DropdownModule } from 'primeng/dropdown';
import { EditorModule } from 'primeng/editor';
import { CalendarModule } from 'primeng/calendar';
import { InputTextareaModule } from 'primeng/inputtextarea';
import { DialogModule } from 'primeng/dialog';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { MultiSelectModule } from 'primeng/multiselect';
import { InputTextModule } from 'primeng/inputtext';
import { OrderListModule } from 'primeng/orderlist';
import { PickListModule } from 'primeng/picklist';
import { ToggleButtonModule } from 'primeng/togglebutton';
import { ReactiveFormsModule } from '@angular/forms';
import { RippleModule } from 'primeng/ripple';
import { TranslateModule } from '@ngx-translate/core';
import { CheckboxModule } from 'primeng/checkbox';

@NgModule({
  declarations: [ProjectViewFormComponent],
  exports: [ProjectViewFormComponent],
  imports: [
    CommonModule,
    ReactiveFormsModule,
    DialogModule,
    DropdownModule,
    InputTextModule,
    CalendarModule,
    EditorModule,
    InputTextareaModule,
    MultiSelectModule,
    ToggleButtonModule,
    OrderListModule,
    PickListModule,
    ConfirmDialogModule,
    RippleModule,
    TranslateModule,
    CheckboxModule,
  ],
})
export class ProjectViewFormModule {}
