import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RoleFormComponent } from './role-form/role-form.component';
import { InputTextModule } from 'primeng/inputtext';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { ButtonModule } from 'primeng/button';
import { RippleModule } from 'primeng/ripple';
import { TranslateModule } from '@ngx-translate/core';
import { RadioButtonModule } from 'primeng/radiobutton';
import { CheckboxModule } from 'primeng/checkbox';
import { TreeSelectModule } from 'primeng/treeselect';
import { TableModule } from 'primeng/table';
import { TooltipModule } from 'primeng/tooltip';
import { UserRoleFormComponent } from './user-role-form/user-role-form.component';
import { DropdownModule } from 'primeng/dropdown';

@NgModule({
  declarations: [RoleFormComponent, UserRoleFormComponent],
  imports: [
    CommonModule,
    InputTextModule,
    ReactiveFormsModule,
    ButtonModule,
    RippleModule,
    TranslateModule,
    RadioButtonModule,
    CheckboxModule,
    FormsModule,
    TreeSelectModule,
    TableModule,
    TooltipModule,
    DropdownModule,
  ],
})
export class RoleFormsModule {}
