import { Component, OnInit } from '@angular/core';
import { DynamicDialogConfig } from 'primeng/dynamicdialog';

@Component({
  selector: 'app-help-window',
  template: `<div [innerHTML]="text"></div>`,
})
export class HelpWindowComponent implements OnInit {
  public text: string;

  constructor(private config: DynamicDialogConfig) {}

  ngOnInit() {
    this.text = this.config.data.text;
  }
}
