import { Component, Input } from '@angular/core';
import { IssueDomain } from 'data-access/sdk/api2';
import { getTextColorForBg } from '@core-project/helpers';

@Component({
  selector: 'app-issue-domain-tag',
  templateUrl: './issue-domain-tag.component.html',
  styleUrls: ['./issue-domain-tag.component.scss'],
})
export class IssueDomainTagComponent {
  @Input() domain: IssueDomain;

  public getFontColor = getTextColorForBg;
}
