import { Component, OnInit } from '@angular/core';
import { DynamicDialogConfig } from 'primeng/dynamicdialog';
import { Work, WorkBase } from 'data-access/sdk/api2';

@Component({
  selector: 'app-kanban-board-dialog',
  templateUrl: './kanban-board-dialog.component.html',
  styleUrls: ['./kanban-board-dialog.component.scss'],
})
export class KanbanBoardDialogComponent implements OnInit {
  works: WorkBase[];

  constructor(private config: DynamicDialogConfig) {}

  ngOnInit(): void {
    this.works = this.config.data.workIds;
  }
}
