import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HnumberPipe } from './hnumber.pipe';
import { HcurrencyPipe } from './hcurrency.pipe';
import { DiffPipe } from './diff.pipe';

@NgModule({
  declarations: [HnumberPipe, HcurrencyPipe, DiffPipe],
  exports: [HnumberPipe, HcurrencyPipe, DiffPipe],
  imports: [CommonModule],
})
export class PipesModule {}
