import { Pipe, PipeTransform } from '@angular/core';

/**
 * @deprecated use `UnfreezePipe` from utils
 *
 * Пайп создан для размораживания объектов из стора по селекту.
 * Также может быть использован для уничтожения ссылочных связей.
 */
@Pipe({
  name: 'unfreeze',
  standalone: true,
})
export class UnfreezePipe implements PipeTransform {
  transform<T extends Object>(value: T): T {
    return JSON.parse(JSON.stringify(value));
  }
}
