import {UserModel} from '../../users';
import {TranslateParamsModel} from '../../shared';

interface CommentBaseRelationsInterface {
  // ids
  authorId?: number;
  companyId?: number;
  replyToId?: number;

  // models
  author?: UserModel;
}

export interface CommentBaseModel extends CommentBaseRelationsInterface {
  id: number;
  created: string;
  text?: string;
  translateOptions?: TranslateParamsModel;
  translateString?: string;
}
