import {CompanyCurrencyModel} from './company-currency.model';
import {CompanyIndicatorConstraintModel} from './company-indicator-constraint.model';
import {CompanyPreferencesModel} from './company-preferences.model';

interface CompanyModelRelations {
  // ids
  currenciesIds: number[];
  indicatorConstraintsId?: string;
  parentCompanyId?: number;
  preferencesId?: string;
  // models
  currencies: CompanyCurrencyModel[];
  indicatorConstraints?: CompanyIndicatorConstraintModel;
  preferences?: CompanyPreferencesModel;
}

export interface CompanyModel extends CompanyModelRelations {
  id: number;
  fullName?: string;
  legalAddress?: string;
  name?: string;
  postalAddress?: string;
}
