import {UserBaseModel} from '../../users';
import {DepartmentBaseModel} from './department-base.model';

interface DepartmentModelRelations {
  // ids
  employeesIds: number[];
  // models
  employees?: UserBaseModel[];
}

export interface DepartmentModel extends DepartmentModelRelations, DepartmentBaseModel {
  parentDepartment?: number;
  subDepartments: number[];
}
