import {BudgetTypeModel} from './budget-type.model';
import {BudgetStatsModel} from './budget-stats.model';

interface ProjectBudgetTypeModelRelations {
  // ids
  budgetTypeId: number;
  projectId: number;

  // models
  budgetType?: BudgetTypeModel;
}

export interface ProjectBudgetTypeModel extends ProjectBudgetTypeModelRelations {
  id: number;
  code?: string;
  name?: string;
  stats?: BudgetStatsModel;
  totalPlanned?: string;
  totalPlannedCurrency?: string;
}
