import {BudgetStats} from 'data-access/sdk/api2';

interface ProjectBudgetModelRelations {
  // ids
  projectId: number;
}

export interface ProjectBudgetModel extends ProjectBudgetModelRelations {
  id: number;
  isApproved: boolean;
  approvedAt?: string;
  approvedBy?: number;
  code?: string;
  effectFact?: number;
  effectForecast?: number;
  effectPlan?: number;
  irrFact?: number;
  irrForecast?: number;
  irrPlan?: number;
  npvFact?: number;
  npvForecast?: number;
  npvPlan?: number;
  periodEnd?: string;
  periodStart?: string;
  stats?: BudgetStats;
  totalPlanned?: string;
  totalPlannedCurrency?: string;
}
