import {UserModel} from '../../users';
import {ContentTypeModel} from './content-type.model';

interface HistoryActionModelRelations {
  user?: UserModel;
}

export interface HistoryActionModel extends HistoryActionModelRelations {
  id: number;
  changedFields?: string;
  contentType?: ContentTypeModel;
  datetime: string;
  eventType: 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11;
  objectId: string;
  objectJsonRepr?: string;
  objectRepr?: string;
  userPkAsString?: string;
}
