export interface PluginModel {
  id: number;
  name: string;
  order: number;
  isEnabled: boolean;
  tag: string;
  indexFileUrl: string;
  file?: Blob; // TODO check use and refactor
  icon: string;
  color: string;
}

export type NewPluginInterface =
  Pick<PluginModel, 'name' | 'isEnabled' > & Pick<{ file: Blob }, 'file'>;
