import { WorkStatusEnum } from '../../works';

export type ProjectMilestoneStatusEnum = WorkStatusEnum;

export namespace ProjectMilestoneStatusEnum {
  export const BL = WorkStatusEnum.BL;
  export const CR = WorkStatusEnum.CR;
  export const WP = WorkStatusEnum.WP;
  export const DN = WorkStatusEnum.DN;
  export const AC = WorkStatusEnum.AC;
  export const CN = WorkStatusEnum.CN;
  export const PS = WorkStatusEnum.PS;

  export function check(value: string): value is WorkStatusEnum {
    return (
      value === WorkStatusEnum.BL ||
      value === WorkStatusEnum.CR ||
      value === WorkStatusEnum.WP ||
      value === WorkStatusEnum.DN ||
      value === WorkStatusEnum.AC ||
      value === WorkStatusEnum.CN ||
      value === WorkStatusEnum.PS
    );
  }
}
