import {ProjectTypeBaseModel} from '../../projects';
import {ProjectTypeStageModel} from '../../stages';

interface ProjectTypeModelRelations {
  // ids
  categoryId: number;
  projectsIds: number[];
  projectTypeStagesIds?: number[];

  // models
  projectTypeStages: ProjectTypeStageModel[];
}

export interface ProjectTypeModel extends ProjectTypeBaseModel, ProjectTypeModelRelations {
}
