import {UserBaseModel} from '../../users';
import {DepartmentBaseModel} from '../../departments';
import {RoleBaseModel} from './role-base.model';

interface UserRoleModelRelations {
  // ids
  departmentId?: number;
  companyId?: number;
  roleId: number;
  userId?: number;
  projectId?: number;
  projectGroupId?: number;

  // models
  department?: DepartmentBaseModel;
  role?: RoleBaseModel;
  user?: UserBaseModel;
}

export interface UserRoleModel extends UserRoleModelRelations {
  id: number;
  createdAt?: string;
  customName?: string;
  updatedAt?: string;
}
