import {NotificationDTO} from '../../notifications/models/notification.dto';
import {WebsocketsTypesEnum} from './websockets-types.enum';

interface BaseWebsocketsResponseDTO {
  type: WebsocketsTypesEnum;
}

export interface WebsocketsNotUsedNowDTO extends BaseWebsocketsResponseDTO {
  type: WebsocketsTypesEnum.AUTH | WebsocketsTypesEnum.CONN;
  data: unknown;
}

export interface WebsocketsNotificationDTO extends BaseWebsocketsResponseDTO {
  type: WebsocketsTypesEnum.NOTIFICATION;
  data: NotificationDTO;
}


export type WebsocketsResponseDTOType = WebsocketsNotUsedNowDTO | WebsocketsNotificationDTO;
