import {WebsocketsTypesEnum} from './websockets-types.enum';
import {NotificationModel} from '../../notifications';

interface BaseWebsocketsResponseModel {
  type: WebsocketsTypesEnum;
}

export interface WebsocketsNotificationModel extends BaseWebsocketsResponseModel {
  type: WebsocketsTypesEnum.NOTIFICATION;
  data: NotificationModel;
}

export interface WebsocketsNotUsedNowModel extends BaseWebsocketsResponseModel {
  type: WebsocketsTypesEnum.CONN | WebsocketsTypesEnum.AUTH;
  data: unknown;
}

export type WebsocketsResponseType = WebsocketsNotificationModel | WebsocketsNotUsedNowModel;
