import {Selector} from '@ngxs/store';
import {PluginModel} from 'data-access/sdk/internal-api';
import {PluginsLoaderState, PluginsLoaderStateModel} from './plugins-loader.state';

export class PluginsLoaderSelectors {
  @Selector([PluginsLoaderState])
  static plugins({plugins}: PluginsLoaderStateModel): PluginModel[] {
    return plugins;
  }

  @Selector([PluginsLoaderState])
  static pluginsLoading({isListLoading}: PluginsLoaderStateModel): boolean {
    return isListLoading;
  }

  @Selector([PluginsLoaderState])
  static createPluginLoading({isCreateFormLoading}: PluginsLoaderStateModel): boolean {
    return isCreateFormLoading;
  }

  @Selector([PluginsLoaderState])
  static editModalLoading({isEditModalLoading}: PluginsLoaderStateModel): boolean {
    return isEditModalLoading;
  }
}
