import { Selector } from '@ngxs/store';

import { StageModel } from 'data-access/sdk/internal-api';

import { ProjectStagesState, ProjectStagesStateModel } from './index';

export class ProjectStagesSelectors {
  @Selector([ProjectStagesState])
  static stages({ stages }: ProjectStagesStateModel): StageModel[] {
    return stages;
  }

  @Selector([ProjectStagesState])
  static stagesForAdd({ stagesForAdd }: ProjectStagesStateModel): StageModel[] {
    return stagesForAdd;
  }

  @Selector([ProjectStagesState])
  static loadingStages({ loadingStages }: ProjectStagesStateModel): boolean {
    return loadingStages;
  }

  @Selector([ProjectStagesState])
  static deleteProjectStageLoading({ deleteProjectStageLoading }: ProjectStagesStateModel): boolean {
    return deleteProjectStageLoading;
  }
}
