import { Selector } from '@ngxs/store';
import { StageModel } from 'data-access/sdk/internal-api';
import {StagesState} from './stages.state';
import {StagesStateModel} from './stages-state-model';

export class StagesSelectors {
  @Selector([StagesState])
  static stages({ list }: StagesStateModel): StageModel[] {
    return list;
  }

  @Selector([StagesState])
  static stagesLoading({ isListLoading }: StagesStateModel): boolean {
    return isListLoading;
  }

  @Selector([StagesState])
  static createStageLoading({ isCreateFormLoading }: StagesStateModel): boolean {
    return isCreateFormLoading;
  }
}
