import {ChangeDetectionStrategy, Component} from '@angular/core';
import {MenuItem} from 'primeng/api';

@Component({
  selector: 'lib-devtools',
  templateUrl: './devtools.component.html',
  styleUrls: ['./devtools.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DevtoolsComponent {
  items: MenuItem[] = [
    {
      label: 'Notifications',
      routerLink: 'notifications',
    },
    {
      label: 'Sidebars',
      routerLink: 'sidebars',
    },
    {
      label: 'Icons',
      routerLink: 'icons',
    },
    {
      label: 'Milestones timeline',
      routerLink: 'milestones-timeline',
    }
  ];
}
