import { FormControl } from '@angular/forms';

import { EntityModel } from 'ui/forms-ui';

export interface IssueFormGroupInterface {
  id: FormControl<number | null>;
  createdAt?: FormControl<string | null>;
  description: FormControl<string | null>;
  name: FormControl<string>;
  severity: FormControl<number>;
  resolveDate: FormControl<string | null>;

  // relations
  domains: FormControl<EntityModel[]>;
  users: FormControl<EntityModel[]>;
  project: FormControl<EntityModel | null>;
  responsible: FormControl<EntityModel | null>;
}
