import {Injectable} from '@angular/core';
import {DialogService} from 'primeng/dynamicdialog';

import {IssueCheckModalComponent} from '../components/issue-check-modal/issue-check-modal.component';
import {IssueDeleteAttentionModalComponent} from '../components/issue-delete-attention-modal/issue-delete-attention-modal.component';


@Injectable({
  providedIn: 'root',
})
export class IssueModalsService {
  constructor(
    private readonly dialogService: DialogService,
  ) {
  }

  createChangesSaveModal() {
    return this.dialogService.open(IssueCheckModalComponent, {
      showHeader: false,
      width: '500px',
    });
  }

  createDeleteAttentionModal() {
    return this.dialogService.open(IssueDeleteAttentionModalComponent, {
      showHeader: false,
      width: '500px',
    });
  }
}
