import {ChangeDetectionStrategy, Component, Input} from '@angular/core';
import {CommonModule} from '@angular/common';

import {HistoryActionModel} from 'data-access/sdk/internal-api';
import {HistoryRecordComponent} from '../history-record/history-record.component';

@Component({
  selector: 'lib-history-tab',
  templateUrl: './history-tab.component.html',
  styleUrls: ['./history-tab.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
  standalone: true,
  imports: [CommonModule, HistoryRecordComponent],
})
export class HistoryTabComponent {
  @Input({required: true}) items: HistoryActionModel[] = [];
}
