import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {CustomCalendarComponent} from './custom-calendar.component';
import {CalendarModule} from 'primeng/calendar';
import {FormsModule} from '@angular/forms';

@NgModule({
  declarations: [
    CustomCalendarComponent,
  ],
  imports: [
    CommonModule,
    CalendarModule,
    FormsModule,
  ],
  exports: [
    CustomCalendarComponent,
  ],
})
export class UiCustomCalendarModule {
}
