/* eslint-disable max-len */
import { ChangeDetectionStrategy, Component } from '@angular/core';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'lib-custom-icons',
  standalone: true,
  imports: [CommonModule],
  template: `
    <div style="display: none">
      <svg id="svg-sprite" viewBox="0 0 14 14" fill="none" xmlns="http://www.w3.org/2000/svg">
        <symbol id="home">
          <path
            fill="none"
            id="Rectangle 59"
            d="M2 3.5L7 0.5L12 3.5V11.5H8.5V7H5.5V11.5H2V3.5Z"
            stroke="currentColor"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="dashboard">
          <path
            fill="none"
            d="M12.5 7C12.5 8.17099 12.1263 9.31141 11.4332 10.2553C10.7401 11.1991 9.76391 11.8971 8.64664 12.2477C7.52936 12.5983 6.32936 12.5831 5.2213 12.2044C4.11324 11.8257 3.15497 11.1033 2.48597 10.1422C1.81697 9.18115 1.47217 8.03165 1.50176 6.86104C1.53134 5.69042 1.93377 4.55981 2.65046 3.63376C3.36716 2.70772 4.3607 2.03459 5.48648 1.71235C6.61225 1.39011 7.81149 1.43559 8.90963 1.84216L7 7H12.5Z"
            stroke="currentColor"
            stroke-linejoin="round"
          />
          <path
            fill="none"
            d="M11.1377 2.22408C11.678 2.44554 12.142 2.81989 12.4727 3.30122C12.8034 3.78255 12.9864 4.34994 12.9993 4.93377L10 5L11.1377 2.22408Z"
            stroke="currentColor"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="list">
          <path fill="none" d="M6 4.5L11 4.5" stroke="currentColor" stroke-linecap="round" />
          <path fill="none" d="M3 4.5L4 4.5" stroke="currentColor" stroke-linecap="round" />
          <path fill="none" d="M6 7.5L11 7.5" stroke="currentColor" stroke-linecap="round" />
          <path fill="none" d="M3 7.5L4 7.5" stroke="currentColor" stroke-linecap="round" />
          <path fill="none" d="M6 10.5L11 10.5" stroke="currentColor" stroke-linecap="round" />
          <path fill="none" d="M3 10.5H4" stroke="currentColor" stroke-linecap="round" />
        </symbol>
        <symbol id="problems">
          <path
            fill="none"
            d="M9.00036 1.5C8.42479 4.5 9.50036 4.5 11.0004 7C12.8786 10.1304 9.50036 12.839 6.50043 12C2.92478 11 3.00049 6.5 5.0005 5.5C5.0005 5.83333 5.50049 8 7.00049 7.5C6.00036 6 6.00036 3.5 9.00036 1.5Z"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="ci-fire">
          <path
            fill="none"
            d="M9.00036 1.5C8.42479 4.5 9.50036 4.5 11.0004 7C12.8786 10.1304 9.50036 12.839 6.50043 12C2.92478 11 3.00049 6.5 5.0005 5.5C5.0005 5.83333 5.50049 8 7.00049 7.5C6.00036 6 6.00036 3.5 9.00036 1.5Z"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="documents">
          <rect fill="none" x="2" y="3" width="8" height="10" rx="1" stroke="currentColor" />
          <path fill="none" d="M3.5 5.5H8.5" stroke="currentColor" stroke-linecap="round" />
          <path fill="none" d="M3.5 8H8.5" stroke="currentColor" stroke-linecap="round" />
          <path fill="none" d="M3.5 10.5H6.5" stroke="currentColor" stroke-linecap="round" />
          <path
            fill="none"
            d="M4 2V2C4 1.44772 4.44772 1 5 1H11C11.5523 1 12 1.44772 12 2V10C12 10.5523 11.5523 11 11 11V11"
            stroke="currentColor"
          />
        </symbol>
        <symbol id="contacts">
          <circle fill="none" cx="7" cy="4" r="3" stroke="currentColor" />
          <path fill="none" d="M13 14C13 10.6863 10.3137 8 7 8C3.68629 8 1 10.6863 1 14" stroke="currentColor" stroke-linecap="round" />
          <path
            fill="none"
            d="M10 1C11.6569 1 13 2.34315 13 4C13 5.30622 12.1652 6.41746 11 6.82929"
            stroke="currentColor"
            stroke-linecap="round"
          />
          <path
            fill="none"
            d="M16.0001 13.9997C16.0001 11.0977 13.9398 8.67684 11.2021 8.12012"
            stroke="currentColor"
            stroke-linecap="round"
          />
        </symbol>
        <symbol id="department">
          <circle fill="none" cx="5" cy="11.5" r="1.5" stroke="currentColor" />
          <circle fill="none" cx="5" cy="4.5" r="1.5" stroke="currentColor" />
          <circle fill="none" cx="11" cy="4.5" r="1.5" stroke="currentColor" />
          <path fill="none" d="M5 5.5V10.5" stroke="currentColor" stroke-linejoin="round" />
          <path fill="none" d="M11 5.5V5.5C11 8.26142 8.76142 10.5 6 10.5V10.5" stroke="currentColor" stroke-linejoin="round" />
        </symbol>
        <symbol id="structure">
          <rect
            fill="none"
            x="3.5"
            y="3.5"
            width="9"
            height="4"
            rx="1.5"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path fill="none" d="M8 8V9.77778H3V12" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
          <path fill="none" d="M8 8V9.77778H13.5V12" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
          <path fill="none" d="M8 12V9" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <symbol id="settings">
          <path
            fill="none"
            d="M6.58463 1.85327C6.00281 2.86101 4.67989 2.4857 4.10254 2.15237L3.35254 3.45141L11.1468 7.95141L13.1468 4.4873L7.08459 0.987305L6.58463 1.85327Z"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            fill="none"
            d="M6.81641 5.45117L3.31641 11.5133L5.04846 12.5133L8.54846 6.45117"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="ci-hammer">
          <path
            fill="none"
            d="M6.58463 1.85327C6.00281 2.86101 4.67989 2.4857 4.10254 2.15237L3.35254 3.45141L11.1468 7.95141L13.1468 4.4873L7.08459 0.987305L6.58463 1.85327Z"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            fill="none"
            d="M6.81641 5.45117L3.31641 11.5133L5.04846 12.5133L8.54846 6.45117"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="info-icon">
          <rect fill="none" x="0.5" y="1" width="14" height="14" rx="7" stroke="currentColor" />
          <path fill="none" d="M7.5 7L7.5 12" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" />
          <path fill="none" d="M7.5 4L7.5 5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" />
        </symbol>
        <symbol id="works">
          <circle cx="2" cy="7" r="1.5" fill="currentColor" />
          <circle cx="12" cy="7" r="1.5" fill="currentColor" />
          <circle cx="7" cy="2" r="1.5" fill="currentColor" />
          <circle cx="7" cy="12" r="1.5" fill="currentColor" />
          <path
            fill="none"
            d="M3.24235 3.69182C4.00846 2.82445 5.05192 2.24928 6.19493 2.06433C7.33793 1.87938 8.50977 2.09609 9.51078 2.67753C10.5118 3.25897 11.28 4.16917 11.6846 5.25304C12.0891 6.33691 12.105 7.52739 11.7295 8.62163C11.3539 9.71588 10.6102 10.6462 9.62506 11.254C8.63991 11.8619 7.47426 12.1097 6.32673 11.9552C5.1792 11.8007 4.12079 11.2535 3.33183 10.4068C2.54288 9.56011 2.0722 8.46631 2 7.31179"
            stroke="currentColor"
            stroke-linecap="round"
          />
        </symbol>
        <symbol id="plans">
          <path fill="none" d="M1.5 4H12.5V10.5C12.5 11.3284 11.8284 12 11 12H3C2.17157 12 1.5 11.3284 1.5 10.5V4Z" stroke="currentColor" />
          <path fill="none" d="M1.5 5V2.5C1.5 1.94772 1.94772 1.5 2.5 1.5H4.5" stroke="currentColor" stroke-linecap="round" />
          <path fill="none" d="M12.5 5V2.5C12.5 1.94772 12.0523 1.5 11.5 1.5H9.5" stroke="currentColor" stroke-linecap="round" />
          <rect x="3" y="5.5" width="2" height="2" fill="currentColor" />
          <rect x="3" y="8.5" width="2" height="2" fill="currentColor" />
          <rect x="6" y="5.5" width="2" height="2" fill="currentColor" />
          <rect x="6" y="8.5" width="2" height="2" fill="currentColor" />
          <rect x="9" y="5.5" width="2" height="2" fill="currentColor" />
          <rect
            fill="none"
            x="0.25"
            y="-0.25"
            width="1.5"
            height="0.5"
            rx="0.25"
            transform="matrix(1 0 0 -1 6 1.5)"
            stroke="currentColor"
            stroke-width="0.5"
          />
        </symbol>
        <symbol id="budget">
          <path
            fill="none"
            d="M5 11.5V3H8.75C9.99264 3 11 4.00736 11 5.25V5.25C11 6.49264 9.99264 7.5 8.75 7.5H3M3 9.5H9"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="complete">
          <circle fill="none" cx="7" cy="7" r="6.5" stroke="currentColor" />
          <path fill="none" d="M4.5 7L6.84615 9L11.5 4.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <!-- иконка отображения портфель-->
        <symbol id="group">
          портфель
          <path
            fill="none"
            d="M6.14258 6.64258V9.21401C6.14258 9.68739 6.52633 10.0711 6.99972 10.0711V10.0711C7.47311 10.0711 7.85686 9.68739 7.85686 9.21401V6.64258"
            stroke="currentColor"
          />
          <path
            fill="none"
            d="M9.57157 6.64258C7.56316 6.64258 6.43712 6.64258 4.42871 6.64258"
            stroke="currentColor"
            stroke-linecap="round"
          />
          <rect fill="none" x="1.5" y="4.57129" width="11" height="8.42857" rx="1.5" stroke="currentColor" />
          <path
            fill="none"
            d="M9.57157 4.92857V3.5C9.57157 2.39543 8.67614 1.5 7.57157 1.5H6.42871C5.32414 1.5 4.42871 2.39543 4.42871 3.5V4.92857"
            stroke="currentColor"
          />
        </symbol>
        <symbol id="text">
          <path
            fill="none"
            d="M5.5 12V4M5.5 12H4.5M5.5 12H6.5M5.5 4H2L2 5.5M5.5 4H9V5.5"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            fill="none"
            d="M10.5 12V7M10.5 12H10M10.5 12H11M10.5 7H8.5V7.5M10.5 7H12.5V7.5"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="flag">
          <circle fill="none" cx="7" cy="7.5" r="6.5" stroke="currentColor" />
          <path fill="none" d="M4.5 7.5L6.84615 9.5L11 5.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <symbol id="type">
          <circle fill="none" cx="5" cy="7.5" r="4" stroke="currentColor" />
          <path
            fill="none"
            d="M9 11.5C11.2091 11.5 13 9.70914 13 7.5C13 5.29086 11.2091 3.5 9 3.5"
            stroke="currentColor"
            stroke-linecap="round"
          />
        </symbol>
        <symbol id="default">
          <path fill="none" d="M8.0498 9L8.0498 4M8.04981 11.5L8.0498 11" stroke="#64687B" stroke-linecap="round" stroke-linejoin="round" />
          <path
            fill="none"
            d="M6.69264 1.34407C7.26609 0.324589 8.73391 0.324589 9.30736 1.34407L14.8877 11.2646C15.4501 12.2645 14.7275 13.5 13.5803 13.5H2.4197C1.27246 13.5 0.549885 12.2645 1.11233 11.2646L6.69264 1.34407Z"
            stroke="#64687B"
          />
        </symbol>
        <symbol id="calendar">
          <path fill="none" d="M1.5 4H12.5V10.5C12.5 11.3284 11.8284 12 11 12H3C2.17157 12 1.5 11.3284 1.5 10.5V4Z" stroke="currentColor" />
          <path fill="none" d="M1.5 5V2.5C1.5 1.94772 1.94772 1.5 2.5 1.5H4.5" stroke="currentColor" stroke-linecap="round" />
          <path fill="none" d="M12.5 5V2.5C12.5 1.94772 12.0523 1.5 11.5 1.5H9.5" stroke="currentColor" stroke-linecap="round" />
          <rect x="3" y="5.5" width="2" height="2" fill="currentColor" />
          <rect x="3" y="8.5" width="2" height="2" fill="currentColor" />
          <rect x="6" y="5.5" width="2" height="2" fill="currentColor" />
          <rect x="6" y="8.5" width="2" height="2" fill="currentColor" />
          <rect x="9" y="5.5" width="2" height="2" fill="currentColor" />
        </symbol>
        <symbol id="number">
          <path
            d="M4.19957 11.5V10.7045L6.66051 8.15483C6.9233 7.87784 7.13991 7.63518 7.31037 7.42685C7.48319 7.21615 7.61222 7.0161 7.69744 6.8267C7.78267 6.63731 7.82528 6.43608 7.82528 6.22301C7.82528 5.98153 7.76847 5.7732 7.65483 5.59801C7.54119 5.42045 7.38613 5.28433 7.18963 5.18963C6.99313 5.09257 6.77178 5.04403 6.52557 5.04403C6.26515 5.04403 6.03788 5.0973 5.84375 5.20384C5.64962 5.31037 5.50047 5.4607 5.39631 5.65483C5.29214 5.84896 5.24006 6.07623 5.24006 6.33665H4.19247C4.19247 5.89394 4.29427 5.50687 4.49787 5.17543C4.70147 4.84399 4.98082 4.58712 5.33594 4.40483C5.69105 4.22017 6.0947 4.12784 6.54688 4.12784C7.00379 4.12784 7.40625 4.21899 7.75426 4.40128C8.10464 4.5812 8.37808 4.82741 8.57457 5.13991C8.77107 5.45005 8.86932 5.80043 8.86932 6.19105C8.86932 6.46094 8.81842 6.72491 8.71662 6.98295C8.61719 7.241 8.44318 7.52865 8.1946 7.84588C7.94602 8.16075 7.60038 8.54309 7.15767 8.9929L5.71236 10.5057V10.5589H8.98651V11.5H4.19957Z"
            fill="currentColor"
          />
          <path
            d="M12.2315 11.5994C11.7438 11.5994 11.3082 11.5154 10.9247 11.3473C10.5436 11.1792 10.2417 10.946 10.0192 10.6477C9.79901 10.3471 9.68063 9.99905 9.66406 9.60369H10.7791C10.7933 9.81913 10.8655 10.0062 10.9957 10.1648C11.1283 10.321 11.3011 10.4418 11.5142 10.527C11.7273 10.6122 11.964 10.6548 12.2244 10.6548C12.5109 10.6548 12.7642 10.6051 12.9844 10.5057C13.2069 10.4062 13.3809 10.2678 13.5064 10.0902C13.6319 9.91027 13.6946 9.70312 13.6946 9.46875C13.6946 9.22491 13.6319 9.01065 13.5064 8.82599C13.3833 8.63897 13.2022 8.49219 12.9631 8.38565C12.7263 8.27912 12.4399 8.22585 12.1037 8.22585H11.4893V7.33097H12.1037C12.3736 7.33097 12.6103 7.28243 12.8139 7.18537C13.0199 7.0883 13.1809 6.95336 13.2969 6.78054C13.4129 6.60535 13.4709 6.40057 13.4709 6.16619C13.4709 5.94129 13.42 5.74598 13.3182 5.58026C13.2188 5.41217 13.0767 5.28078 12.892 5.18608C12.7098 5.09138 12.4943 5.04403 12.2457 5.04403C12.009 5.04403 11.7876 5.08783 11.5817 5.17543C11.3781 5.26065 11.2124 5.38376 11.0845 5.54474C10.9567 5.70336 10.888 5.89394 10.8786 6.11648H9.81676C9.8286 5.72348 9.9446 5.37784 10.1648 5.07955C10.3873 4.78125 10.6809 4.54806 11.0455 4.37997C11.41 4.21188 11.8149 4.12784 12.2599 4.12784C12.7263 4.12784 13.1288 4.21899 13.4673 4.40128C13.8082 4.5812 14.071 4.8215 14.2557 5.12216C14.4427 5.42282 14.535 5.75189 14.5327 6.10938C14.535 6.51657 14.4214 6.86222 14.1918 7.14631C13.9645 7.4304 13.6615 7.62098 13.2827 7.71804V7.77486C13.7656 7.84825 14.1397 8.04001 14.4048 8.35014C14.6723 8.66027 14.8049 9.04498 14.8026 9.50426C14.8049 9.90436 14.6937 10.263 14.4688 10.5803C14.2462 10.8975 13.942 11.1473 13.5561 11.3295C13.1702 11.5095 12.7287 11.5994 12.2315 11.5994Z"
            fill="currentColor"
          />
          <path d="M2.95881 4.22727V11.5H1.85795V5.32812H1.81534L0.0752841 6.46449V5.41335L1.88991 4.22727H2.95881Z" fill="currentColor" />
        </symbol>
        <!--иконка отображения dropdown-->
        <symbol id="values">
          <circle fill="none" cx="3.5" cy="4.5" r="2.5" stroke="currentColor" />
          <circle fill="none" cx="3.5" cy="11.5" r="2.5" stroke="currentColor" />
          <circle fill="none" cx="10.5" cy="4.5" r="2.5" stroke="currentColor" />
          <circle fill="none" cx="10.5" cy="11.5" r="2.5" stroke="currentColor" />
          <circle fill="none" cx="0.5" cy="0.5" r="0.5" transform="matrix(1 0 0 -1 10 12)" stroke="currentColor" />
        </symbol>
        <symbol id="person">
          <circle fill="none" cx="7" cy="4" r="3.5" stroke="currentColor" />
          <path fill="none" d="M12 13C12 10.2386 9.76142 8 7 8C4.23858 8 2 10.2386 2 13" stroke="currentColor" stroke-linecap="round" />
        </symbol>
        <symbol id="position">
          <path
            fill="none"
            id="Vector 90"
            d="M7.47218 5.64258H6.52782C6.09398 5.64258 5.70962 5.92232 5.57625 6.33515L4.19595 10.6075C4.07642 10.9775 4.18217 11.3832 4.46707 11.6477L6.31955 13.3679C6.70323 13.7241 7.29677 13.7241 7.68045 13.3679L9.53293 11.6477C9.81783 11.3832 9.92358 10.9775 9.80405 10.6075L8.42375 6.33515C8.29038 5.92232 7.90602 5.64258 7.47218 5.64258Z"
            stroke="currentColor"
          />
          <path
            fill="none"
            id="Vector 92"
            d="M4 3L6.29289 5.29289C6.68342 5.68342 7.31658 5.68342 7.70711 5.29289L10 3"
            stroke="currentColor"
          />
          <path
            fill="none"
            id="Ellipse 6"
            d="M12 7C12 4.23858 9.76142 2 7 2C4.23858 2 2 4.23858 2 7"
            stroke="currentColor"
            stroke-linecap="round"
          />
        </symbol>
        <symbol id="phone">
          <path
            fill="none"
            d="M11.5795 12.5141C3.99241 12.398 2.0527 6.73723 2.00107 3.05041C1.99305 2.47806 2.51484 2.06792 3.0815 2.14888L4.81444 2.39647C5.2459 2.45812 5.58775 2.79211 5.6594 3.22202L5.93276 4.86221C5.99746 5.25037 5.82893 5.64009 5.50151 5.85837L5.21445 6.04974C4.82098 6.31205 4.65732 6.81969 4.8951 7.22844C5.55948 8.37055 6.54982 9.17196 7.31719 9.63269C7.72261 9.87611 8.22683 9.71835 8.48914 9.32488L8.63416 9.10736C8.87538 8.74552 9.32279 8.58107 9.74093 8.70053L11.8138 9.29278C12.2431 9.41543 12.5391 9.80886 12.5391 10.2553L12.5393 11.5427C12.5395 12.0781 12.1149 12.5223 11.5795 12.5141Z"
            stroke="currentColor"
          />
        </symbol>
        <symbol id="email">
          <path
            d="M5.06392 12.3466C4.39631 12.1108 3.83523 11.7628 3.38068 11.3026C2.92614 10.8423 2.58239 10.2784 2.34943 9.6108C2.11648 8.94318 2 8.17898 2 7.31818C2 6.4858 2.1179 5.74148 2.35369 5.08523C2.59233 4.42898 2.9375 3.87216 3.3892 3.41477C3.84375 2.95455 4.39489 2.60369 5.04261 2.36222L8.35114 5.09319C8.30273 4.99167 8.21552 4.8981 8.08949 4.8125L8.13242 4.751C8.13229 4.75091 8.13215 4.75081 8.13202 4.75072C7.9715 4.63876 7.77017 4.55757 7.53072 4.50497C7.28851 4.4489 7.02172 4.43609 6.73117 4.46514L6.73065 4.4652C6.40337 4.50026 6.09738 4.59241 5.81324 4.74179C5.53188 4.88835 5.28576 5.08475 5.07516 5.33045L5.07482 5.33085C4.86686 5.57689 4.70487 5.86331 4.58846 6.18926C4.47157 6.51656 4.41364 6.87607 4.41364 7.26705C4.41364 7.67627 4.46119 8.05929 4.55682 8.41574L4.55701 8.41644C4.65567 8.77045 4.8012 9.08391 4.99423 9.35591L4.99423 9.35591L4.99477 9.35665C5.19158 9.6269 5.43579 9.84173 5.72687 10.0005L5.72739 10.0008C6.02014 10.1575 6.35687 10.2422 6.73575 10.2568L6.73601 10.2568C7.06679 10.2684 7.35181 10.2294 7.58848 10.1366L7.56109 10.0668L7.58818 10.1367C7.82367 10.0454 8.01688 9.92199 8.1651 9.7648C8.27552 9.64992 8.36531 9.52918 8.43378 9.40248C8.48907 9.59805 8.59761 9.76042 8.7591 9.88713C8.95224 10.0387 9.17329 10.1468 9.42134 10.2118C9.66476 10.2755 9.89 10.308 10.0966 10.308C10.5599 10.308 10.9364 10.1972 11.2178 9.96729C11.4963 9.74204 11.7013 9.44623 11.8333 9.0824L11.8334 9.08222C11.9636 8.72048 12.0486 8.32502 12.0889 7.89622C12.1289 7.47067 12.1489 7.05071 12.1489 6.63636C12.1489 6.0423 12.045 5.46539 11.8375 4.90604C11.6323 4.3455 11.3231 3.84134 10.9104 3.39394C10.4992 2.94225 9.9874 2.58552 9.37639 2.32322C8.7657 2.05698 8.05631 1.925 7.25 1.925C6.42166 1.925 5.67681 2.04682 5.01651 2.2919L5.01641 2.29194C4.35918 2.53696 3.79858 2.89355 3.33584 3.36207L3.33584 3.36207C2.87591 3.82779 2.52521 4.39408 2.28321 5.0596L2.28311 5.05987C2.04389 5.72566 1.925 6.47878 1.925 7.31818C1.925 8.18562 2.04236 8.95844 2.27862 9.6355C2.51489 10.3126 2.86425 10.8864 3.32732 11.3553C3.79057 11.8243 4.36164 12.1781 5.03893 12.4173M5.06392 12.3466L5.03868 12.4172C5.03876 12.4172 5.03884 12.4173 5.03893 12.4173M5.06392 12.3466L5.03894 12.4173C5.03894 12.4173 5.03893 12.4173 5.03893 12.4173M5.06392 12.3466L5.03893 12.4173M9.20362 12.5214C9.32373 12.4902 9.43453 12.4589 9.53597 12.4275C9.78747 12.3497 9.90929 12.0824 9.83507 11.8385C9.7532 11.5695 9.46592 11.4206 9.19856 11.5025L9.11165 11.5291C8.88169 11.5992 8.61579 11.664 8.31368 11.7233C8.0145 11.782 7.7111 11.8114 7.40341 11.8114C6.68293 11.8114 6.04982 11.7114 5.50282 11.5133L5.5025 11.5132C4.9554 11.3178 4.49809 11.031 4.12894 10.6536C3.76251 10.276 3.48395 9.81148 3.294 9.25847C3.10682 8.70524 3.0125 8.07019 3.0125 7.35227C3.0125 6.64582 3.10679 6.01788 3.29398 5.46744C3.4841 4.91388 3.75879 4.44609 4.11729 4.06258C4.4786 3.67627 4.91648 3.38276 5.43203 3.18211L5.43223 3.18203C5.95052 2.97862 6.53901 2.87614 7.19886 2.87614C7.73504 2.87614 8.21118 2.94633 8.62827 3.08536L8.62884 3.08554C9.05053 3.22238 9.41617 3.41175 9.72672 3.65298C10.0385 3.89515 10.2954 4.1744 10.4979 4.49073L10.4982 4.49112C10.7042 4.80852 10.8573 5.14947 10.9575 5.51419L10.9577 5.51485C11.0609 5.87755 11.1125 6.24564 11.1125 6.61932C11.1125 7.26518 11.0827 7.79251 11.0238 8.20239L11.0237 8.20289C10.9676 8.61217 10.8637 8.90357 10.7194 9.08718L10.719 9.08771C10.5821 9.26519 10.3842 9.35682 10.1136 9.35682C9.87817 9.35682 9.70764 9.2745 9.59028 9.1147C9.46678 8.94652 9.40455 8.75206 9.40455 8.52841V5.12784C9.40455 4.83695 9.16873 4.60114 8.87784 4.60114H8.66477C8.49156 4.60114 8.35114 4.74156 8.35114 4.91477V4.95105L8.28125 12.6321L8.29241 12.7063C8.29244 12.7063 8.29247 12.7063 8.29251 12.7063C8.61582 12.6576 8.91955 12.596 9.20362 12.5214ZM9.20362 12.5214C9.20365 12.5214 9.20368 12.5214 9.20371 12.5214L9.18466 12.4489L9.20353 12.5215C9.20356 12.5214 9.20359 12.5214 9.20362 12.5214ZM10.7784 9.13352C10.9347 8.93466 11.0412 8.62784 11.098 8.21307C11.1577 7.7983 11.1875 7.26705 11.1875 6.61932C11.1875 6.23864 11.1349 5.86364 11.0298 5.49432C10.9276 5.12216 10.7713 4.77415 10.5611 4.45028L10.7784 9.13352ZM6.12264 5.69104L6.12277 5.69095C6.3383 5.53129 6.5991 5.45 6.90909 5.45C7.24251 5.45 7.51796 5.50285 7.73835 5.60498C7.95259 5.70426 8.11679 5.87706 8.22982 6.13003C8.34296 6.38325 8.40227 6.74333 8.40227 7.21591C8.40227 7.68246 8.34878 8.06402 8.24452 8.36309C8.14109 8.65977 7.97846 8.87662 7.75882 9.01952C7.53879 9.16267 7.24615 9.2375 6.875 9.2375C6.51933 9.2375 6.24484 9.14343 6.04314 8.96278C5.83573 8.77416 5.6848 8.52793 5.59167 8.22118C5.49738 7.90776 5.45 7.5728 5.45 7.21591C5.45 6.8957 5.50791 6.60194 5.62283 6.33372C5.74019 6.06358 5.90694 5.85012 6.12264 5.69104Z"
            fill="currentColor"
            stroke="#ADB1C2"
            stroke-width="0.15"
          />
        </symbol>
        <symbol id="ci-calendar" fill="none">
          <path d="M1.5 4H12.5V10.5C12.5 11.3284 11.8284 12 11 12H3C2.17157 12 1.5 11.3284 1.5 10.5V4Z" stroke="#ADB1C2" />
          <path d="M1.5 5V2.5C1.5 1.94772 1.94772 1.5 2.5 1.5H4.5" stroke="currentColor" stroke-linecap="round" />
          <path d="M12.5 5V2.5C12.5 1.94772 12.0523 1.5 11.5 1.5H9.5" stroke="currentColor" stroke-linecap="round" />
          <rect x="3" y="5.5" width="2" height="2" fill="#ADB1C2" />
          <rect x="3" y="8.5" width="2" height="2" fill="#ADB1C2" />
          <rect x="6" y="5.5" width="2" height="2" fill="#ADB1C2" />
          <rect x="6" y="8.5" width="2" height="2" fill="#ADB1C2" />
          <rect x="9" y="5.5" width="2" height="2" fill="#ADB1C2" />
        </symbol>
        <symbol id="ci-domains" fill="none">
          <rect x="1.5" y="2" width="10" height="10" rx="5" stroke="currentColor" />
          <path d="M8.5 5L11.5 2M4.5 9L1.5 12M4.5 5L1.5 2M8.5 9L11.5 12" stroke="currentColor" stroke-linecap="round" />
        </symbol>
        <symbol id="ci-project" fill="none">
          <rect x="3.5" y="3.5" width="9" height="4" rx="1.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
          <path d="M8 8V9.77778H3V12" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
          <path d="M8 8V9.77778H13.5V12" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
          <path d="M8 12V9" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <symbol id="ci-work-group" fill="none">
          <circle cx="7" cy="4" r="3" stroke="currentColor" />
          <path d="M13 14C13 10.6863 10.3137 8 7 8C3.68629 8 1 10.6863 1 14" stroke="currentColor" stroke-linecap="round" />
          <path d="M10 1C11.6569 1 13 2.34315 13 4C13 5.30622 12.1652 6.41746 11 6.82929" stroke="currentColor" stroke-linecap="round" />
          <path d="M15.9991 14.0007C15.9991 11.0986 13.9388 8.67782 11.2012 8.12109" stroke="currentColor" stroke-linecap="round" />
        </symbol>
        <symbol id="ci-user" fill="none">
          <circle cx="7" cy="4" r="3.5" stroke="currentColor" />
          <path d="M12 13C12 10.2386 9.76142 8 7 8C4.23858 8 2 10.2386 2 13" stroke="currentColor" stroke-linecap="round" />
        </symbol>
        <symbol id="ci-comments" fill="none">
          <path
            d="M7.53846 12.5H7.37678L7.24572 12.5947L5.26923 14.0221V13V12.5H4.76923H4C2.61929 12.5 1.5 11.3807 1.5 10V6C1.5 4.61929 2.61929 3.5 4 3.5H12C13.3807 3.5 14.5 4.61929 14.5 6V10C14.5 11.3807 13.3807 12.5 12 12.5H7.53846Z"
            stroke="currentColor"
          />
          <path d="M4.76953 6.5H11.2311" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
          <path d="M4.76953 9.5H7.53876" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <symbol id="ci-history" fill="none">
          <path
            d="M3.24235 4.19179C4.00846 3.32441 5.05192 2.74924 6.19493 2.56429C7.33793 2.37934 8.50977 2.59605 9.51078 3.17749C10.5118 3.75893 11.28 4.66913 11.6846 5.753C12.0891 6.83687 12.105 8.02735 11.7295 9.12159C11.3539 10.2158 10.6102 11.1461 9.62506 11.754C8.63991 12.3619 7.47426 12.6096 6.32673 12.4552C5.1792 12.3007 4.12079 11.7535 3.33183 10.9068C2.54288 10.0601 2.0722 8.96628 2 7.81175M3.24235 4.19179V2M3.24235 4.19179H5.5M7 5.50015V7.50015L9 9.12159"
            stroke="currentColor"
            stroke-linecap="round"
          />
        </symbol>
        <symbol id="ci-text">
          <path
            fill="none"
            d="M5.5 12V4M5.5 12H4.5M5.5 12H6.5M5.5 4H2L2 5.5M5.5 4H9V5.5"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            fill="none"
            d="M10.5 12V7M10.5 12H10M10.5 12H11M10.5 7H8.5V7.5M10.5 7H12.5V7.5"
            stroke="currentColor"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="ci-priority" fill="none">
          <g clip-path="url(#clip0_2537_34857)">
            <path
              d="M7 11.5V3.5M7 3.5L4 6.16667M7 3.5L10 6.16667"
              stroke="currentColor"
              stroke-width="1.5"
              stroke-linecap="round"
              stroke-linejoin="round"
            />
            <circle cx="7" cy="7.5" r="6.5" stroke="currentColor" />
          </g>
          <defs>
            <clipPath id="clip0_2537_34857">
              <rect width="14" height="14" fill="white" transform="translate(0 0.5)" />
            </clipPath>
          </defs>
        </symbol>
        <symbol id="ci-cancelled" fill="none">
          <circle cx="7" cy="7.5" r="6.5" stroke="currentColor" />
          <path d="M4 10.5L10 4.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
          <path d="M10 10.5L4 4.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <symbol id="ci-completed" fill="none">
          <circle cx="7" cy="7.5" r="6.5" stroke="currentColor" />
          <path d="M4.5 7.5L6.84615 9.5L11 5.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <symbol id="ci-in-progress" fill="none">
          <rect x="0.5" y="1" width="13" height="13" rx="6.5" stroke="currentColor" />
          <path
            d="M7.48478 3.02637C8.22051 3.10605 8.92523 3.36595 9.53652 3.78304C10.1478 4.20014 10.6468 4.76155 10.9893 5.41755C11.3318 6.07356 11.5072 6.8039 11.5 7.5439C11.4928 8.28389 11.3033 9.01069 10.9481 9.65992C10.5929 10.3092 10.0831 10.8608 9.46386 11.2659C8.84459 11.6711 8.13495 11.9172 7.39782 11.9826C6.66068 12.048 5.9188 11.9306 5.23788 11.6407C4.55697 11.3509 3.95803 10.8976 3.49414 10.3211"
            stroke="currentColor"
            stroke-width="1.5"
            stroke-linecap="round"
          />
        </symbol>
        <symbol id="ci-on-check" fill="none">
          <rect x="0.5" y="1" width="13" height="13" rx="6.5" stroke="currentColor" />
          <circle cx="6" cy="6.5" r="2.75" stroke="currentColor" stroke-width="1.5" />
          <path
            d="M8.47656 8.10352L10.7255 10.3525C11.0184 10.6454 11.0184 11.1202 10.7255 11.4131C10.4326 11.706 9.95776 11.706 9.66487 11.4131L7.4159 9.16418L8.47656 8.10352Z"
            fill="currentColor"
          />
        </symbol>
        <symbol id="ci-todo" fill="none">
          <circle cx="7" cy="7.5" r="6.5" stroke="currentColor" />
          <path d="M7 3.5V8L10 9.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" />
        </symbol>
        <symbol id="ci-backlog" fill="none">
          <rect x="0.5" y="1" width="13" height="13" rx="6.5" stroke="currentColor" />
          <path d="M4 7V10.5H10V7M8.5 8H5.5M3 5H11" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <symbol id="ci-paused" fill="none">
          <rect x="0.5" y="1" width="13" height="13" rx="6.5" stroke="currentColor" />
          <path d="M8.5 5V10" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
          <path d="M5.5 5V10" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <symbol id="ci-flag" fill="none">
          <path d="M3 1V7L9 4L3 1Z" fill="white" />
          <path d="M3 9V1L9 4L3 7" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
          <rect x="0.170044" y="11" width="4" height="4" rx="1" transform="rotate(-45 0.170044 11)" fill="currentColor" />
        </symbol>
        <symbol id="ci-project-stage" fill="none">
          <rect
            x="0.707107"
            y="7.27734"
            width="10"
            height="10"
            rx="1.5"
            transform="rotate(-45 0.707107 7.27734)"
            fill="white"
            stroke="currentColor"
          />
          <rect
            x="4.98506"
            y="7.27734"
            width="3.94997"
            height="3.94997"
            rx="0.5"
            transform="rotate(-45 4.98506 7.27734)"
            fill="currentColor"
            stroke="currentColor"
          />
        </symbol>
        <symbol id="ci-calendar-v2" fill="none">
          <path
            d="M13.3708 51.5H40C43.3137 51.5 46 48.8137 46 45.5V12.5C46 9.18629 43.3137 6.5 40 6.5H8C4.68629 6.5 2 9.18629 2 12.5V41.5M8.92135 51.5H7.5C4.46244 51.5 2 49.0376 2 46V46"
            stroke="currentColor"
            stroke-width="3"
            stroke-linecap="round"
          />
          <path d="M3.5 15.5H46.5" stroke="currentColor" stroke-width="3" />
          <path d="M12.5 1.5V9M24 1.5V9M36 1.5V9" stroke="currentColor" stroke-width="3" stroke-linecap="round" />
          <rect x="9" y="23" width="8" height="8" rx="1" fill="currentColor" />
          <rect x="9" y="35" width="8" height="8" rx="1" fill="currentColor" />
          <rect x="20" y="23" width="8" height="8" rx="1" fill="currentColor" />
          <rect x="20" y="35" width="8" height="8" rx="1" fill="currentColor" />
          <rect x="31" y="23" width="8" height="8" rx="1" fill="currentColor" />
        </symbol>
        <symbol id="ci-checklist" fill="none">
          <path d="M18.5 30L21.5 33L28 26.5" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" />
          <circle cx="22" cy="30" r="12" stroke="currentColor" stroke-width="3" />
          <path
            d="M0.5 42C0.5 42.8284 1.17157 43.5 2 43.5C2.82843 43.5 3.5 42.8284 3.5 42H0.5ZM10 53.5C10.8284 53.5 11.5 52.8284 11.5 52C11.5 51.1716 10.8284 50.5 10 50.5V53.5ZM14.5 50.5C13.6716 50.5 13 51.1716 13 52C13 52.8284 13.6716 53.5 14.5 53.5V50.5ZM3.5 46.5C3.5 45.6716 2.82843 45 2 45C1.17157 45 0.5 45.6716 0.5 46.5H3.5ZM40.5 12V46H43.5V12H40.5ZM35 7.5H36V4.5H35V7.5ZM8 7.5H9V4.5H8V7.5ZM3.5 42V12H0.5V42H3.5ZM10 50.5H7.5V53.5H10V50.5ZM35.9977 50.5C35.9832 50.5 35.9687 50.5 35.9542 50.5C35.9397 50.5 35.9252 50.5 35.9108 50.5C35.8963 50.5 35.8818 50.5 35.8674 50.5C35.8529 50.5 35.8384 50.5 35.824 50.5C35.8096 50.5 35.7951 50.5 35.7807 50.5C35.7663 50.5 35.7519 50.5 35.7374 50.5C35.723 50.5 35.7086 50.5 35.6942 50.5C35.6799 50.5 35.6655 50.5 35.6511 50.5C35.6367 50.5 35.6224 50.5 35.608 50.5C35.5936 50.5 35.5793 50.5 35.5649 50.5C35.5506 50.5 35.5363 50.5 35.5219 50.5C35.5076 50.5 35.4933 50.5 35.479 50.5C35.4647 50.5 35.4504 50.5 35.4361 50.5C35.4218 50.5 35.4075 50.5 35.3932 50.5C35.379 50.5 35.3647 50.5 35.3504 50.5C35.3362 50.5 35.3219 50.5 35.3077 50.5C35.2934 50.5 35.2792 50.5 35.265 50.5C35.2507 50.5 35.2365 50.5 35.2223 50.5C35.2081 50.5 35.1939 50.5 35.1797 50.5C35.1655 50.5 35.1513 50.5 35.1371 50.5C35.123 50.5 35.1088 50.5 35.0946 50.5C35.0805 50.5 35.0663 50.5 35.0522 50.5C35.038 50.5 35.0239 50.5 35.0097 50.5C34.9956 50.5 34.9815 50.5 34.9673 50.5C34.9532 50.5 34.9391 50.5 34.925 50.5C34.9109 50.5 34.8968 50.5 34.8827 50.5C34.8686 50.5 34.8546 50.5 34.8405 50.5C34.8264 50.5 34.8123 50.5 34.7983 50.5C34.7842 50.5 34.7702 50.5 34.7561 50.5C34.7421 50.5 34.7281 50.5 34.714 50.5C34.7 50.5 34.686 50.5 34.672 50.5C34.658 50.5 34.644 50.5 34.63 50.5C34.616 50.5 34.602 50.5 34.588 50.5C34.574 50.5 34.56 50.5 34.546 50.5C34.5321 50.5 34.5181 50.5 34.5042 50.5C34.4902 50.5 34.4763 50.5 34.4623 50.5C34.4484 50.5 34.4344 50.5 34.4205 50.5C34.4066 50.5 34.3927 50.5 34.3787 50.5C34.3648 50.5 34.3509 50.5 34.337 50.5C34.3231 50.5 34.3092 50.5 34.2954 50.5C34.2815 50.5 34.2676 50.5 34.2537 50.5C34.2398 50.5 34.226 50.5 34.2121 50.5C34.1983 50.5 34.1844 50.5 34.1706 50.5C34.1567 50.5 34.1429 50.5 34.1291 50.5C34.1152 50.5 34.1014 50.5 34.0876 50.5C34.0738 50.5 34.06 50.5 34.0462 50.5C34.0324 50.5 34.0186 50.5 34.0048 50.5C33.991 50.5 33.9772 50.5 33.9634 50.5C33.9496 50.5 33.9359 50.5 33.9221 50.5C33.9083 50.5 33.8946 50.5 33.8808 50.5C33.8671 50.5 33.8533 50.5 33.8396 50.5C33.8259 50.5 33.8121 50.5 33.7984 50.5C33.7847 50.5 33.771 50.5 33.7573 50.5C33.7435 50.5 33.7298 50.5 33.7161 50.5C33.7024 50.5 33.6887 50.5 33.6751 50.5C33.6614 50.5 33.6477 50.5 33.634 50.5C33.6203 50.5 33.6067 50.5 33.593 50.5C33.5793 50.5 33.5657 50.5 33.552 50.5C33.5384 50.5 33.5247 50.5 33.5111 50.5C33.4975 50.5 33.4838 50.5 33.4702 50.5C33.4566 50.5 33.443 50.5 33.4293 50.5C33.4157 50.5 33.4021 50.5 33.3885 50.5C33.3749 50.5 33.3613 50.5 33.3477 50.5C33.3341 50.5 33.3206 50.5 33.307 50.5C33.2934 50.5 33.2798 50.5 33.2663 50.5C33.2527 50.5 33.2391 50.5 33.2256 50.5C33.212 50.5 33.1985 50.5 33.1849 50.5C33.1714 50.5 33.1578 50.5 33.1443 50.5C33.1308 50.5 33.1173 50.5 33.1037 50.5C33.0902 50.5 33.0767 50.5 33.0632 50.5C33.0497 50.5 33.0362 50.5 33.0227 50.5C33.0092 50.5 32.9957 50.5 32.9822 50.5C32.9687 50.5 32.9552 50.5 32.9417 50.5C32.9283 50.5 32.9148 50.5 32.9013 50.5C32.8879 50.5 32.8744 50.5 32.8609 50.5C32.8475 50.5 32.834 50.5 32.8206 50.5C32.8071 50.5 32.7937 50.5 32.7803 50.5C32.7668 50.5 32.7534 50.5 32.74 50.5C32.7266 50.5 32.7131 50.5 32.6997 50.5C32.6863 50.5 32.6729 50.5 32.6595 50.5C32.6461 50.5 32.6327 50.5 32.6193 50.5C32.6059 50.5 32.5925 50.5 32.5791 50.5C32.5658 50.5 32.5524 50.5 32.539 50.5C32.5256 50.5 32.5123 50.5 32.4989 50.5C32.4855 50.5 32.4722 50.5 32.4588 50.5C32.4455 50.5 32.4321 50.5 32.4188 50.5C32.4054 50.5 32.3921 50.5 32.3788 50.5C32.3654 50.5 32.3521 50.5 32.3388 50.5C32.3255 50.5 32.3121 50.5 32.2988 50.5C32.2855 50.5 32.2722 50.5 32.2589 50.5C32.2456 50.5 32.2323 50.5 32.219 50.5C32.2057 50.5 32.1924 50.5 32.1791 50.5C32.1658 50.5 32.1526 50.5 32.1393 50.5C32.126 50.5 32.1127 50.5 32.0995 50.5C32.0862 50.5 32.0729 50.5 32.0597 50.5C32.0464 50.5 32.0331 50.5 32.0199 50.5C32.0066 50.5 31.9934 50.5 31.9802 50.5C31.9669 50.5 31.9537 50.5 31.9404 50.5C31.9272 50.5 31.914 50.5 31.9008 50.5C31.8875 50.5 31.8743 50.5 31.8611 50.5C31.8479 50.5 31.8347 50.5 31.8215 50.5C31.8082 50.5 31.795 50.5 31.7818 50.5C31.7686 50.5 31.7554 50.5 31.7423 50.5C31.7291 50.5 31.7159 50.5 31.7027 50.5C31.6895 50.5 31.6763 50.5 31.6632 50.5C31.65 50.5 31.6368 50.5 31.6236 50.5C31.6105 50.5 31.5973 50.5 31.5841 50.5C31.571 50.5 31.5578 50.5 31.5447 50.5C31.5315 50.5 31.5184 50.5 31.5052 50.5C31.4921 50.5 31.4789 50.5 31.4658 50.5C31.4527 50.5 31.4395 50.5 31.4264 50.5C31.4133 50.5 31.4002 50.5 31.387 50.5C31.3739 50.5 31.3608 50.5 31.3477 50.5C31.3346 50.5 31.3214 50.5 31.3083 50.5C31.2952 50.5 31.2821 50.5 31.269 50.5C31.2559 50.5 31.2428 50.5 31.2297 50.5C31.2166 50.5 31.2036 50.5 31.1905 50.5C31.1774 50.5 31.1643 50.5 31.1512 50.5C31.1381 50.5 31.1251 50.5 31.112 50.5C31.0989 50.5 31.0858 50.5 31.0728 50.5C31.0597 50.5 31.0467 50.5 31.0336 50.5C31.0205 50.5 31.0075 50.5 30.9944 50.5C30.9814 50.5 30.9683 50.5 30.9553 50.5C30.9422 50.5 30.9292 50.5 30.9161 50.5C30.9031 50.5 30.8901 50.5 30.877 50.5C30.864 50.5 30.851 50.5 30.8379 50.5C30.8249 50.5 30.8119 50.5 30.7989 50.5C30.7858 50.5 30.7728 50.5 30.7598 50.5C30.7468 50.5 30.7338 50.5 30.7208 50.5C30.7077 50.5 30.6947 50.5 30.6817 50.5C30.6687 50.5 30.6557 50.5 30.6427 50.5C30.6297 50.5 30.6167 50.5 30.6037 50.5C30.5907 50.5 30.5778 50.5 30.5648 50.5C30.5518 50.5 30.5388 50.5 30.5258 50.5C30.5128 50.5 30.4998 50.5 30.4869 50.5C30.4739 50.5 30.4609 50.5 30.4479 50.5C30.435 50.5 30.422 50.5 30.409 50.5C30.3961 50.5 30.3831 50.5 30.3701 50.5C30.3572 50.5 30.3442 50.5 30.3313 50.5C30.3183 50.5 30.3054 50.5 30.2924 50.5C30.2794 50.5 30.2665 50.5 30.2536 50.5C30.2406 50.5 30.2277 50.5 30.2147 50.5C30.2018 50.5 30.1888 50.5 30.1759 50.5C30.163 50.5 30.15 50.5 30.1371 50.5C30.1242 50.5 30.1112 50.5 30.0983 50.5C30.0854 50.5 30.0724 50.5 30.0595 50.5C30.0466 50.5 30.0337 50.5 30.0207 50.5C30.0078 50.5 29.9949 50.5 29.982 50.5C29.9691 50.5 29.9562 50.5 29.9432 50.5C29.9303 50.5 29.9174 50.5 29.9045 50.5C29.8916 50.5 29.8787 50.5 29.8658 50.5C29.8529 50.5 29.84 50.5 29.8271 50.5C29.8142 50.5 29.8013 50.5 29.7884 50.5C29.7755 50.5 29.7626 50.5 29.7497 50.5C29.7368 50.5 29.7239 50.5 29.711 50.5C29.6981 50.5 29.6852 50.5 29.6723 50.5C29.6595 50.5 29.6466 50.5 29.6337 50.5C29.6208 50.5 29.6079 50.5 29.595 50.5C29.5822 50.5 29.5693 50.5 29.5564 50.5C29.5435 50.5 29.5306 50.5 29.5178 50.5C29.5049 50.5 29.492 50.5 29.4792 50.5C29.4663 50.5 29.4534 50.5 29.4405 50.5C29.4277 50.5 29.4148 50.5 29.4019 50.5C29.3891 50.5 29.3762 50.5 29.3633 50.5C29.3505 50.5 29.3376 50.5 29.3248 50.5C29.3119 50.5 29.299 50.5 29.2862 50.5C29.2733 50.5 29.2605 50.5 29.2476 50.5C29.2348 50.5 29.2219 50.5 29.209 50.5C29.1962 50.5 29.1833 50.5 29.1705 50.5C29.1576 50.5 29.1448 50.5 29.1319 50.5C29.1191 50.5 29.1062 50.5 29.0934 50.5C29.0805 50.5 29.0677 50.5 29.0549 50.5C29.042 50.5 29.0292 50.5 29.0163 50.5C29.0035 50.5 28.9906 50.5 28.9778 50.5C28.965 50.5 28.9521 50.5 28.9393 50.5C28.9264 50.5 28.9136 50.5 28.9008 50.5C28.8879 50.5 28.8751 50.5 28.8622 50.5C28.8494 50.5 28.8366 50.5 28.8237 50.5C28.8109 50.5 28.7981 50.5 28.7852 50.5C28.7724 50.5 28.7596 50.5 28.7467 50.5C28.7339 50.5 28.7211 50.5 28.7082 50.5C28.6954 50.5 28.6826 50.5 28.6697 50.5C28.6569 50.5 28.6441 50.5 28.6312 50.5C28.6184 50.5 28.6056 50.5 28.5928 50.5C28.5799 50.5 28.5671 50.5 28.5543 50.5C28.5414 50.5 28.5286 50.5 28.5158 50.5C28.503 50.5 28.4901 50.5 28.4773 50.5C28.4645 50.5 28.4517 50.5 28.4388 50.5C28.426 50.5 28.4132 50.5 28.4003 50.5C28.3875 50.5 28.3747 50.5 28.3619 50.5C28.349 50.5 28.3362 50.5 28.3234 50.5C28.3106 50.5 28.2977 50.5 28.2849 50.5C28.2721 50.5 28.2593 50.5 28.2464 50.5C28.2336 50.5 28.2208 50.5 28.208 50.5C28.1951 50.5 28.1823 50.5 28.1695 50.5C28.1567 50.5 28.1438 50.5 28.131 50.5C28.1182 50.5 28.1054 50.5 28.0925 50.5C28.0797 50.5 28.0669 50.5 28.0541 50.5C28.0412 50.5 28.0284 50.5 28.0156 50.5C28.0027 50.5 27.9899 50.5 27.9771 50.5C27.9643 50.5 27.9514 50.5 27.9386 50.5C27.9258 50.5 27.9129 50.5 27.9001 50.5C27.8873 50.5 27.8745 50.5 27.8616 50.5C27.8488 50.5 27.836 50.5 27.8231 50.5C27.8103 50.5 27.7975 50.5 27.7846 50.5C27.7718 50.5 27.759 50.5 27.7461 50.5C27.7333 50.5 27.7205 50.5 27.7076 50.5C27.6948 50.5 27.682 50.5 27.6691 50.5C27.6563 50.5 27.6435 50.5 27.6306 50.5C27.6178 50.5 27.605 50.5 27.5921 50.5C27.5793 50.5 27.5664 50.5 27.5536 50.5C27.5408 50.5 27.5279 50.5 27.5151 50.5C27.5022 50.5 27.4894 50.5 27.4765 50.5C27.4637 50.5 27.4509 50.5 27.438 50.5C27.4252 50.5 27.4123 50.5 27.3995 50.5C27.3866 50.5 27.3738 50.5 27.3609 50.5C27.3481 50.5 27.3352 50.5 27.3224 50.5C27.3095 50.5 27.2967 50.5 27.2838 50.5C27.271 50.5 27.2581 50.5 27.2452 50.5C27.2324 50.5 27.2195 50.5 27.2067 50.5C27.1938 50.5 27.181 50.5 27.1681 50.5C27.1552 50.5 27.1424 50.5 27.1295 50.5C27.1166 50.5 27.1038 50.5 27.0909 50.5C27.078 50.5 27.0652 50.5 27.0523 50.5C27.0394 50.5 27.0266 50.5 27.0137 50.5C27.0008 50.5 26.9879 50.5 26.9751 50.5C26.9622 50.5 26.9493 50.5 26.9364 50.5C26.9236 50.5 26.9107 50.5 26.8978 50.5C26.8849 50.5 26.872 50.5 26.8592 50.5C26.8463 50.5 26.8334 50.5 26.8205 50.5C26.8076 50.5 26.7947 50.5 26.7818 50.5C26.7689 50.5 26.756 50.5 26.7432 50.5C26.7303 50.5 26.7174 50.5 26.7045 50.5C26.6916 50.5 26.6787 50.5 26.6658 50.5C26.6529 50.5 26.64 50.5 26.627 50.5C26.6141 50.5 26.6012 50.5 26.5883 50.5C26.5754 50.5 26.5625 50.5 26.5496 50.5C26.5367 50.5 26.5238 50.5 26.5108 50.5C26.4979 50.5 26.485 50.5 26.4721 50.5C26.4592 50.5 26.4462 50.5 26.4333 50.5C26.4204 50.5 26.4075 50.5 26.3945 50.5C26.3816 50.5 26.3687 50.5 26.3557 50.5C26.3428 50.5 26.3299 50.5 26.3169 50.5C26.304 50.5 26.291 50.5 26.2781 50.5C26.2652 50.5 26.2522 50.5 26.2393 50.5C26.2263 50.5 26.2134 50.5 26.2004 50.5C26.1875 50.5 26.1745 50.5 26.1615 50.5C26.1486 50.5 26.1356 50.5 26.1227 50.5C26.1097 50.5 26.0967 50.5 26.0838 50.5C26.0708 50.5 26.0578 50.5 26.0448 50.5C26.0319 50.5 26.0189 50.5 26.0059 50.5C25.9929 50.5 25.98 50.5 25.967 50.5C25.954 50.5 25.941 50.5 25.928 50.5C25.915 50.5 25.902 50.5 25.889 50.5C25.876 50.5 25.8631 50.5 25.85 50.5C25.837 50.5 25.824 50.5 25.811 50.5C25.798 50.5 25.785 50.5 25.772 50.5C25.759 50.5 25.746 50.5 25.733 50.5C25.72 50.5 25.7069 50.5 25.6939 50.5C25.6809 50.5 25.6679 50.5 25.6548 50.5C25.6418 50.5 25.6288 50.5 25.6157 50.5C25.6027 50.5 25.5897 50.5 25.5766 50.5C25.5636 50.5 25.5505 50.5 25.5375 50.5C25.5244 50.5 25.5114 50.5 25.4983 50.5C25.4853 50.5 25.4722 50.5 25.4592 50.5C25.4461 50.5 25.433 50.5 25.42 50.5C25.4069 50.5 25.3938 50.5 25.3807 50.5C25.3677 50.5 25.3546 50.5 25.3415 50.5C25.3284 50.5 25.3153 50.5 25.3023 50.5C25.2892 50.5 25.2761 50.5 25.263 50.5C25.2499 50.5 25.2368 50.5 25.2237 50.5C25.2106 50.5 25.1975 50.5 25.1844 50.5C25.1713 50.5 25.1582 50.5 25.145 50.5C25.1319 50.5 25.1188 50.5 25.1057 50.5C25.0926 50.5 25.0794 50.5 25.0663 50.5C25.0532 50.5 25.04 50.5 25.0269 50.5C25.0138 50.5 25.0006 50.5 24.9875 50.5C24.9743 50.5 24.9612 50.5 24.948 50.5C24.9349 50.5 24.9217 50.5 24.9085 50.5C24.8954 50.5 24.8822 50.5 24.869 50.5C24.8559 50.5 24.8427 50.5 24.8295 50.5C24.8164 50.5 24.8032 50.5 24.79 50.5C24.7768 50.5 24.7636 50.5 24.7504 50.5C24.7372 50.5 24.724 50.5 24.7108 50.5C24.6976 50.5 24.6844 50.5 24.6712 50.5C24.658 50.5 24.6448 50.5 24.6316 50.5C24.6183 50.5 24.6051 50.5 24.5919 50.5C24.5787 50.5 24.5654 50.5 24.5522 50.5C24.539 50.5 24.5257 50.5 24.5125 50.5C24.4992 50.5 24.486 50.5 24.4727 50.5C24.4595 50.5 24.4462 50.5 24.433 50.5C24.4197 50.5 24.4064 50.5 24.3932 50.5C24.3799 50.5 24.3666 50.5 24.3533 50.5C24.3401 50.5 24.3268 50.5 24.3135 50.5C24.3002 50.5 24.2869 50.5 24.2736 50.5C24.2603 50.5 24.247 50.5 24.2337 50.5C24.2204 50.5 24.2071 50.5 24.1938 50.5C24.1805 50.5 24.1671 50.5 24.1538 50.5C24.1405 50.5 24.1272 50.5 24.1138 50.5C24.1005 50.5 24.0871 50.5 24.0738 50.5C24.0605 50.5 24.0471 50.5 24.0337 50.5C24.0204 50.5 24.007 50.5 23.9937 50.5C23.9803 50.5 23.9669 50.5 23.9536 50.5C23.9402 50.5 23.9268 50.5 23.9134 50.5C23.9 50.5 23.8866 50.5 23.8732 50.5C23.8599 50.5 23.8465 50.5 23.833 50.5C23.8196 50.5 23.8062 50.5 23.7928 50.5C23.7794 50.5 23.766 50.5 23.7526 50.5C23.7391 50.5 23.7257 50.5 23.7123 50.5C23.6988 50.5 23.6854 50.5 23.6719 50.5C23.6585 50.5 23.645 50.5 23.6316 50.5C23.6181 50.5 23.6047 50.5 23.5912 50.5C23.5777 50.5 23.5643 50.5 23.5508 50.5C23.5373 50.5 23.5238 50.5 23.5103 50.5C23.4968 50.5 23.4833 50.5 23.4698 50.5C23.4563 50.5 23.4428 50.5 23.4293 50.5C23.4158 50.5 23.4023 50.5 23.3888 50.5C23.3752 50.5 23.3617 50.5 23.3482 50.5C23.3346 50.5 23.3211 50.5 23.3076 50.5C23.294 50.5 23.2805 50.5 23.2669 50.5C23.2533 50.5 23.2398 50.5 23.2262 50.5C23.2126 50.5 23.1991 50.5 23.1855 50.5C23.1719 50.5 23.1583 50.5 23.1447 50.5C23.1311 50.5 23.1175 50.5 23.1039 50.5C23.0903 50.5 23.0767 50.5 23.0631 50.5C23.0495 50.5 23.0359 50.5 23.0222 50.5C23.0086 50.5 22.995 50.5 22.9813 50.5C22.9677 50.5 22.954 50.5 22.9404 50.5C22.9267 50.5 22.9131 50.5 22.8994 50.5C22.8857 50.5 22.8721 50.5 22.8584 50.5C22.8447 50.5 22.831 50.5 22.8173 50.5C22.8037 50.5 22.79 50.5 22.7763 50.5C22.7626 50.5 22.7488 50.5 22.7351 50.5C22.7214 50.5 22.7077 50.5 22.694 50.5C22.6802 50.5 22.6665 50.5 22.6528 50.5C22.639 50.5 22.6253 50.5 22.6115 50.5C22.5978 50.5 22.584 50.5 22.5702 50.5C22.5565 50.5 22.5427 50.5 22.5289 50.5C22.5151 50.5 22.5014 50.5 22.4876 50.5C22.4738 50.5 22.46 50.5 22.4462 50.5C22.4324 50.5 22.4186 50.5 22.4047 50.5C22.3909 50.5 22.3771 50.5 22.3633 50.5C22.3494 50.5 22.3356 50.5 22.3217 50.5C22.3079 50.5 22.294 50.5 22.2802 50.5C22.2663 50.5 22.2524 50.5 22.2386 50.5C22.2247 50.5 22.2108 50.5 22.1969 50.5C22.183 50.5 22.1691 50.5 22.1552 50.5C22.1413 50.5 22.1274 50.5 22.1135 50.5C22.0996 50.5 22.0857 50.5 22.0718 50.5C22.0578 50.5 22.0439 50.5 22.0299 50.5C22.016 50.5 22.002 50.5 21.9881 50.5C21.9741 50.5 21.9602 50.5 21.9462 50.5C21.9322 50.5 21.9182 50.5 21.9043 50.5C21.8903 50.5 21.8763 50.5 21.8623 50.5C21.8483 50.5 21.8343 50.5 21.8202 50.5C21.8062 50.5 21.7922 50.5 21.7782 50.5C21.7641 50.5 21.7501 50.5 21.7361 50.5C21.722 50.5 21.708 50.5 21.6939 50.5C21.6798 50.5 21.6658 50.5 21.6517 50.5C21.6376 50.5 21.6235 50.5 21.6094 50.5C21.5954 50.5 21.5813 50.5 21.5672 50.5C21.553 50.5 21.5389 50.5 21.5248 50.5C21.5107 50.5 21.4966 50.5 21.4824 50.5C21.4683 50.5 21.4541 50.5 21.44 50.5C21.4258 50.5 21.4117 50.5 21.3975 50.5C21.3833 50.5 21.3692 50.5 21.355 50.5C21.3408 50.5 21.3266 50.5 21.3124 50.5C21.2982 50.5 21.284 50.5 21.2698 50.5C21.2556 50.5 21.2414 50.5 21.2271 50.5C21.2129 50.5 21.1987 50.5 21.1844 50.5C21.1702 50.5 21.1559 50.5 21.1416 50.5C21.1274 50.5 21.1131 50.5 21.0988 50.5C21.0845 50.5 21.0703 50.5 21.056 50.5C21.0417 50.5 21.0274 50.5 21.0131 50.5C20.9987 50.5 20.9844 50.5 20.9701 50.5C20.9558 50.5 20.9414 50.5 20.9271 50.5C20.9127 50.5 20.8984 50.5 20.884 50.5C20.8697 50.5 20.8553 50.5 20.8409 50.5C20.8265 50.5 20.8122 50.5 20.7978 50.5C20.7834 50.5 20.769 50.5 20.7545 50.5C20.7401 50.5 20.7257 50.5 20.7113 50.5C20.6969 50.5 20.6824 50.5 20.668 50.5C20.6535 50.5 20.6391 50.5 20.6246 50.5C20.6101 50.5 20.5957 50.5 20.5812 50.5C20.5667 50.5 20.5522 50.5 20.5377 50.5C20.5232 50.5 20.5087 50.5 20.4942 50.5C20.4797 50.5 20.4652 50.5 20.4506 50.5C20.4361 50.5 20.4216 50.5 20.407 50.5C20.3925 50.5 20.3779 50.5 20.3633 50.5C20.3488 50.5 20.3342 50.5 20.3196 50.5C20.305 50.5 20.2904 50.5 20.2758 50.5C20.2612 50.5 20.2466 50.5 20.232 50.5C20.2174 50.5 20.2027 50.5 20.1881 50.5C20.1734 50.5 20.1588 50.5 20.1441 50.5C20.1295 50.5 20.1148 50.5 20.1001 50.5C20.0855 50.5 20.0708 50.5 20.0561 50.5C20.0414 50.5 20.0267 50.5 20.012 50.5C19.9973 50.5 19.9825 50.5 19.9678 50.5C19.9531 50.5 19.9383 50.5 19.9236 50.5C19.9088 50.5 19.8941 50.5 19.8793 50.5C19.8645 50.5 19.8498 50.5 19.835 50.5C19.8202 50.5 19.8054 50.5 19.7906 50.5C19.7758 50.5 19.7609 50.5 19.7461 50.5C19.7313 50.5 19.7165 50.5 19.7016 50.5C19.6868 50.5 19.6719 50.5 19.6571 50.5C19.6422 50.5 19.6273 50.5 19.6124 50.5C19.5975 50.5 19.5827 50.5 19.5678 50.5C19.5528 50.5 19.5379 50.5 19.523 50.5C19.5081 50.5 19.4932 50.5 19.4782 50.5C19.4633 50.5 19.4483 50.5 19.4334 50.5C19.4184 50.5 19.4034 50.5 19.3884 50.5C19.3735 50.5 19.3585 50.5 19.3435 50.5C19.3285 50.5 19.3135 50.5 19.2984 50.5C19.2834 50.5 19.2684 50.5 19.2534 50.5C19.2383 50.5 19.2233 50.5 19.2082 50.5C19.1931 50.5 19.1781 50.5 19.163 50.5C19.1479 50.5 19.1328 50.5 19.1177 50.5C19.1026 50.5 19.0875 50.5 19.0724 50.5C19.0573 50.5 19.0421 50.5 19.027 50.5C19.0118 50.5 18.9967 50.5 18.9815 50.5C18.9664 50.5 18.9512 50.5 18.936 50.5C18.9208 50.5 18.9056 50.5 18.8904 50.5C18.8752 50.5 18.86 50.5 18.8448 50.5C18.8296 50.5 18.8143 50.5 18.7991 50.5C18.7838 50.5 18.7686 50.5 18.7533 50.5C18.738 50.5 18.7228 50.5 18.7075 50.5C18.6922 50.5 18.6769 50.5 18.6616 50.5C18.6463 50.5 18.631 50.5 18.6156 50.5C18.6003 50.5 18.5849 50.5 18.5696 50.5C18.5542 50.5 18.5389 50.5 18.5235 50.5C18.5081 50.5 18.4928 50.5 18.4774 50.5C18.462 50.5 18.4466 50.5 18.4311 50.5C18.4157 50.5 18.4003 50.5 18.3849 50.5C18.3694 50.5 18.354 50.5 18.3385 50.5C18.3231 50.5 18.3076 50.5 18.2921 50.5C18.2766 50.5 18.2611 50.5 18.2456 50.5C18.2301 50.5 18.2146 50.5 18.1991 50.5C18.1836 50.5 18.168 50.5 18.1525 50.5C18.1369 50.5 18.1214 50.5 18.1058 50.5C18.0902 50.5 18.0746 50.5 18.0591 50.5C18.0435 50.5 18.0279 50.5 18.0122 50.5C17.9966 50.5 17.981 50.5 17.9654 50.5C17.9497 50.5 17.9341 50.5 17.9184 50.5C17.9028 50.5 17.8871 50.5 17.8714 50.5C17.8557 50.5 17.84 50.5 17.8243 50.5C17.8086 50.5 17.7929 50.5 17.7772 50.5C17.7614 50.5 17.7457 50.5 17.7299 50.5C17.7142 50.5 17.6984 50.5 17.6827 50.5C17.6669 50.5 17.6511 50.5 17.6353 50.5C17.6195 50.5 17.6037 50.5 17.5879 50.5C17.5721 50.5 17.5562 50.5 17.5404 50.5C17.5245 50.5 17.5087 50.5 17.4928 50.5C17.4769 50.5 17.4611 50.5 17.4452 50.5C17.4293 50.5 17.4134 50.5 17.3975 50.5C17.3815 50.5 17.3656 50.5 17.3497 50.5C17.3337 50.5 17.3178 50.5 17.3018 50.5C17.2859 50.5 17.2699 50.5 17.2539 50.5C17.2379 50.5 17.2219 50.5 17.2059 50.5C17.1899 50.5 17.1739 50.5 17.1578 50.5C17.1418 50.5 17.1258 50.5 17.1097 50.5C17.0936 50.5 17.0776 50.5 17.0615 50.5C17.0454 50.5 17.0293 50.5 17.0132 50.5C16.9971 50.5 16.981 50.5 16.9648 50.5C16.9487 50.5 16.9326 50.5 16.9164 50.5C16.9003 50.5 16.8841 50.5 16.8679 50.5C16.8517 50.5 16.8355 50.5 16.8193 50.5C16.8031 50.5 16.7869 50.5 16.7707 50.5C16.7544 50.5 16.7382 50.5 16.7219 50.5C16.7057 50.5 16.6894 50.5 16.6731 50.5C16.6569 50.5 16.6406 50.5 16.6243 50.5C16.608 50.5 16.5916 50.5 16.5753 50.5C16.559 50.5 16.5426 50.5 16.5263 50.5C16.5099 50.5 16.4936 50.5 16.4772 50.5C16.4608 50.5 16.4444 50.5 16.428 50.5C16.4116 50.5 16.3952 50.5 16.3787 50.5C16.3623 50.5 16.3459 50.5 16.3294 50.5C16.313 50.5 16.2965 50.5 16.28 50.5C16.2635 50.5 16.247 50.5 16.2305 50.5C16.214 50.5 16.1975 50.5 16.1809 50.5C16.1644 50.5 16.1479 50.5 16.1313 50.5C16.1147 50.5 16.0982 50.5 16.0816 50.5C16.065 50.5 16.0484 50.5 16.0318 50.5C16.0152 50.5 15.9985 50.5 15.9819 50.5C15.9653 50.5 15.9486 50.5 15.9319 50.5C15.9153 50.5 15.8986 50.5 15.8819 50.5C15.8652 50.5 15.8485 50.5 15.8318 50.5C15.8151 50.5 15.7983 50.5 15.7816 50.5C15.7648 50.5 15.7481 50.5 15.7313 50.5C15.7145 50.5 15.6978 50.5 15.681 50.5C15.6642 50.5 15.6473 50.5 15.6305 50.5C15.6137 50.5 15.5969 50.5 15.58 50.5C15.5632 50.5 15.5463 50.5 15.5294 50.5C15.5125 50.5 15.4956 50.5 15.4787 50.5C15.4618 50.5 15.4449 50.5 15.428 50.5C15.411 50.5 15.3941 50.5 15.3771 50.5C15.3602 50.5 15.3432 50.5 15.3262 50.5C15.3092 50.5 15.2922 50.5 15.2752 50.5C15.2582 50.5 15.2411 50.5 15.2241 50.5C15.2071 50.5 15.19 50.5 15.1729 50.5C15.1559 50.5 15.1388 50.5 15.1217 50.5C15.1046 50.5 15.0875 50.5 15.0703 50.5C15.0532 50.5 15.0361 50.5 15.0189 50.5C15.0018 50.5 14.9846 50.5 14.9674 50.5C14.9502 50.5 14.933 50.5 14.9158 50.5C14.8986 50.5 14.8814 50.5 14.8641 50.5C14.8469 50.5 14.8296 50.5 14.8124 50.5C14.7951 50.5 14.7778 50.5 14.7605 50.5C14.7432 50.5 14.7259 50.5 14.7086 50.5C14.6913 50.5 14.6739 50.5 14.6566 50.5C14.6392 50.5 14.6218 50.5 14.6045 50.5C14.5871 50.5 14.5697 50.5 14.5523 50.5C14.5349 50.5 14.5174 50.5 14.5 50.5V53.5C14.5174 53.5 14.5349 53.5 14.5523 53.5C14.5697 53.5 14.5871 53.5 14.6045 53.5C14.6218 53.5 14.6392 53.5 14.6566 53.5C14.6739 53.5 14.6913 53.5 14.7086 53.5C14.7259 53.5 14.7432 53.5 14.7605 53.5C14.7778 53.5 14.7951 53.5 14.8124 53.5C14.8296 53.5 14.8469 53.5 14.8641 53.5C14.8814 53.5 14.8986 53.5 14.9158 53.5C14.933 53.5 14.9502 53.5 14.9674 53.5C14.9846 53.5 15.0018 53.5 15.0189 53.5C15.0361 53.5 15.0532 53.5 15.0703 53.5C15.0875 53.5 15.1046 53.5 15.1217 53.5C15.1388 53.5 15.1559 53.5 15.1729 53.5C15.19 53.5 15.2071 53.5 15.2241 53.5C15.2411 53.5 15.2582 53.5 15.2752 53.5C15.2922 53.5 15.3092 53.5 15.3262 53.5C15.3432 53.5 15.3602 53.5 15.3771 53.5C15.3941 53.5 15.411 53.5 15.428 53.5C15.4449 53.5 15.4618 53.5 15.4787 53.5C15.4956 53.5 15.5125 53.5 15.5294 53.5C15.5463 53.5 15.5632 53.5 15.58 53.5C15.5969 53.5 15.6137 53.5 15.6305 53.5C15.6473 53.5 15.6642 53.5 15.681 53.5C15.6978 53.5 15.7145 53.5 15.7313 53.5C15.7481 53.5 15.7648 53.5 15.7816 53.5C15.7983 53.5 15.8151 53.5 15.8318 53.5C15.8485 53.5 15.8652 53.5 15.8819 53.5C15.8986 53.5 15.9153 53.5 15.9319 53.5C15.9486 53.5 15.9653 53.5 15.9819 53.5C15.9985 53.5 16.0152 53.5 16.0318 53.5C16.0484 53.5 16.065 53.5 16.0816 53.5C16.0982 53.5 16.1147 53.5 16.1313 53.5C16.1479 53.5 16.1644 53.5 16.1809 53.5C16.1975 53.5 16.214 53.5 16.2305 53.5C16.247 53.5 16.2635 53.5 16.28 53.5C16.2965 53.5 16.313 53.5 16.3294 53.5C16.3459 53.5 16.3623 53.5 16.3787 53.5C16.3952 53.5 16.4116 53.5 16.428 53.5C16.4444 53.5 16.4608 53.5 16.4772 53.5C16.4936 53.5 16.5099 53.5 16.5263 53.5C16.5426 53.5 16.559 53.5 16.5753 53.5C16.5916 53.5 16.608 53.5 16.6243 53.5C16.6406 53.5 16.6569 53.5 16.6731 53.5C16.6894 53.5 16.7057 53.5 16.7219 53.5C16.7382 53.5 16.7544 53.5 16.7707 53.5C16.7869 53.5 16.8031 53.5 16.8193 53.5C16.8355 53.5 16.8517 53.5 16.8679 53.5C16.8841 53.5 16.9003 53.5 16.9164 53.5C16.9326 53.5 16.9487 53.5 16.9648 53.5C16.981 53.5 16.9971 53.5 17.0132 53.5C17.0293 53.5 17.0454 53.5 17.0615 53.5C17.0776 53.5 17.0936 53.5 17.1097 53.5C17.1258 53.5 17.1418 53.5 17.1578 53.5C17.1739 53.5 17.1899 53.5 17.2059 53.5C17.2219 53.5 17.2379 53.5 17.2539 53.5C17.2699 53.5 17.2859 53.5 17.3018 53.5C17.3178 53.5 17.3337 53.5 17.3497 53.5C17.3656 53.5 17.3815 53.5 17.3975 53.5C17.4134 53.5 17.4293 53.5 17.4452 53.5C17.4611 53.5 17.4769 53.5 17.4928 53.5C17.5087 53.5 17.5245 53.5 17.5404 53.5C17.5562 53.5 17.5721 53.5 17.5879 53.5C17.6037 53.5 17.6195 53.5 17.6353 53.5C17.6511 53.5 17.6669 53.5 17.6827 53.5C17.6984 53.5 17.7142 53.5 17.7299 53.5C17.7457 53.5 17.7614 53.5 17.7772 53.5C17.7929 53.5 17.8086 53.5 17.8243 53.5C17.84 53.5 17.8557 53.5 17.8714 53.5C17.8871 53.5 17.9028 53.5 17.9184 53.5C17.9341 53.5 17.9497 53.5 17.9654 53.5C17.981 53.5 17.9966 53.5 18.0122 53.5C18.0279 53.5 18.0435 53.5 18.0591 53.5C18.0746 53.5 18.0902 53.5 18.1058 53.5C18.1214 53.5 18.1369 53.5 18.1525 53.5C18.168 53.5 18.1836 53.5 18.1991 53.5C18.2146 53.5 18.2301 53.5 18.2456 53.5C18.2611 53.5 18.2766 53.5 18.2921 53.5C18.3076 53.5 18.3231 53.5 18.3385 53.5C18.354 53.5 18.3694 53.5 18.3849 53.5C18.4003 53.5 18.4157 53.5 18.4311 53.5C18.4466 53.5 18.462 53.5 18.4774 53.5C18.4928 53.5 18.5081 53.5 18.5235 53.5C18.5389 53.5 18.5542 53.5 18.5696 53.5C18.5849 53.5 18.6003 53.5 18.6156 53.5C18.631 53.5 18.6463 53.5 18.6616 53.5C18.6769 53.5 18.6922 53.5 18.7075 53.5C18.7228 53.5 18.738 53.5 18.7533 53.5C18.7686 53.5 18.7838 53.5 18.7991 53.5C18.8143 53.5 18.8296 53.5 18.8448 53.5C18.86 53.5 18.8752 53.5 18.8904 53.5C18.9056 53.5 18.9208 53.5 18.936 53.5C18.9512 53.5 18.9664 53.5 18.9815 53.5C18.9967 53.5 19.0118 53.5 19.027 53.5C19.0421 53.5 19.0573 53.5 19.0724 53.5C19.0875 53.5 19.1026 53.5 19.1177 53.5C19.1328 53.5 19.1479 53.5 19.163 53.5C19.1781 53.5 19.1931 53.5 19.2082 53.5C19.2233 53.5 19.2383 53.5 19.2534 53.5C19.2684 53.5 19.2834 53.5 19.2984 53.5C19.3135 53.5 19.3285 53.5 19.3435 53.5C19.3585 53.5 19.3735 53.5 19.3884 53.5C19.4034 53.5 19.4184 53.5 19.4334 53.5C19.4483 53.5 19.4633 53.5 19.4782 53.5C19.4932 53.5 19.5081 53.5 19.523 53.5C19.5379 53.5 19.5528 53.5 19.5678 53.5C19.5827 53.5 19.5975 53.5 19.6124 53.5C19.6273 53.5 19.6422 53.5 19.6571 53.5C19.6719 53.5 19.6868 53.5 19.7016 53.5C19.7165 53.5 19.7313 53.5 19.7461 53.5C19.7609 53.5 19.7758 53.5 19.7906 53.5C19.8054 53.5 19.8202 53.5 19.835 53.5C19.8498 53.5 19.8645 53.5 19.8793 53.5C19.8941 53.5 19.9088 53.5 19.9236 53.5C19.9383 53.5 19.9531 53.5 19.9678 53.5C19.9825 53.5 19.9973 53.5 20.012 53.5C20.0267 53.5 20.0414 53.5 20.0561 53.5C20.0708 53.5 20.0855 53.5 20.1001 53.5C20.1148 53.5 20.1295 53.5 20.1441 53.5C20.1588 53.5 20.1734 53.5 20.1881 53.5C20.2027 53.5 20.2174 53.5 20.232 53.5C20.2466 53.5 20.2612 53.5 20.2758 53.5C20.2904 53.5 20.305 53.5 20.3196 53.5C20.3342 53.5 20.3488 53.5 20.3633 53.5C20.3779 53.5 20.3925 53.5 20.407 53.5C20.4216 53.5 20.4361 53.5 20.4506 53.5C20.4652 53.5 20.4797 53.5 20.4942 53.5C20.5087 53.5 20.5232 53.5 20.5377 53.5C20.5522 53.5 20.5667 53.5 20.5812 53.5C20.5957 53.5 20.6101 53.5 20.6246 53.5C20.6391 53.5 20.6535 53.5 20.668 53.5C20.6824 53.5 20.6969 53.5 20.7113 53.5C20.7257 53.5 20.7401 53.5 20.7545 53.5C20.769 53.5 20.7834 53.5 20.7978 53.5C20.8122 53.5 20.8265 53.5 20.8409 53.5C20.8553 53.5 20.8697 53.5 20.884 53.5C20.8984 53.5 20.9127 53.5 20.9271 53.5C20.9414 53.5 20.9558 53.5 20.9701 53.5C20.9844 53.5 20.9987 53.5 21.0131 53.5C21.0274 53.5 21.0417 53.5 21.056 53.5C21.0703 53.5 21.0845 53.5 21.0988 53.5C21.1131 53.5 21.1274 53.5 21.1416 53.5C21.1559 53.5 21.1702 53.5 21.1844 53.5C21.1987 53.5 21.2129 53.5 21.2271 53.5C21.2414 53.5 21.2556 53.5 21.2698 53.5C21.284 53.5 21.2982 53.5 21.3124 53.5C21.3266 53.5 21.3408 53.5 21.355 53.5C21.3692 53.5 21.3833 53.5 21.3975 53.5C21.4117 53.5 21.4258 53.5 21.44 53.5C21.4541 53.5 21.4683 53.5 21.4824 53.5C21.4966 53.5 21.5107 53.5 21.5248 53.5C21.5389 53.5 21.553 53.5 21.5672 53.5C21.5813 53.5 21.5954 53.5 21.6094 53.5C21.6235 53.5 21.6376 53.5 21.6517 53.5C21.6658 53.5 21.6798 53.5 21.6939 53.5C21.708 53.5 21.722 53.5 21.7361 53.5C21.7501 53.5 21.7641 53.5 21.7782 53.5C21.7922 53.5 21.8062 53.5 21.8202 53.5C21.8343 53.5 21.8483 53.5 21.8623 53.5C21.8763 53.5 21.8903 53.5 21.9043 53.5C21.9182 53.5 21.9322 53.5 21.9462 53.5C21.9602 53.5 21.9741 53.5 21.9881 53.5C22.002 53.5 22.016 53.5 22.0299 53.5C22.0439 53.5 22.0578 53.5 22.0718 53.5C22.0857 53.5 22.0996 53.5 22.1135 53.5C22.1274 53.5 22.1413 53.5 22.1552 53.5C22.1691 53.5 22.183 53.5 22.1969 53.5C22.2108 53.5 22.2247 53.5 22.2386 53.5C22.2524 53.5 22.2663 53.5 22.2802 53.5C22.294 53.5 22.3079 53.5 22.3217 53.5C22.3356 53.5 22.3494 53.5 22.3633 53.5C22.3771 53.5 22.3909 53.5 22.4047 53.5C22.4186 53.5 22.4324 53.5 22.4462 53.5C22.46 53.5 22.4738 53.5 22.4876 53.5C22.5014 53.5 22.5151 53.5 22.5289 53.5C22.5427 53.5 22.5565 53.5 22.5702 53.5C22.584 53.5 22.5978 53.5 22.6115 53.5C22.6253 53.5 22.639 53.5 22.6528 53.5C22.6665 53.5 22.6802 53.5 22.694 53.5C22.7077 53.5 22.7214 53.5 22.7351 53.5C22.7488 53.5 22.7626 53.5 22.7763 53.5C22.79 53.5 22.8037 53.5 22.8173 53.5C22.831 53.5 22.8447 53.5 22.8584 53.5C22.8721 53.5 22.8857 53.5 22.8994 53.5C22.9131 53.5 22.9267 53.5 22.9404 53.5C22.954 53.5 22.9677 53.5 22.9813 53.5C22.995 53.5 23.0086 53.5 23.0222 53.5C23.0359 53.5 23.0495 53.5 23.0631 53.5C23.0767 53.5 23.0903 53.5 23.1039 53.5C23.1175 53.5 23.1311 53.5 23.1447 53.5C23.1583 53.5 23.1719 53.5 23.1855 53.5C23.1991 53.5 23.2126 53.5 23.2262 53.5C23.2398 53.5 23.2533 53.5 23.2669 53.5C23.2805 53.5 23.294 53.5 23.3076 53.5C23.3211 53.5 23.3346 53.5 23.3482 53.5C23.3617 53.5 23.3752 53.5 23.3888 53.5C23.4023 53.5 23.4158 53.5 23.4293 53.5C23.4428 53.5 23.4563 53.5 23.4698 53.5C23.4833 53.5 23.4968 53.5 23.5103 53.5C23.5238 53.5 23.5373 53.5 23.5508 53.5C23.5643 53.5 23.5777 53.5 23.5912 53.5C23.6047 53.5 23.6181 53.5 23.6316 53.5C23.645 53.5 23.6585 53.5 23.6719 53.5C23.6854 53.5 23.6988 53.5 23.7123 53.5C23.7257 53.5 23.7391 53.5 23.7526 53.5C23.766 53.5 23.7794 53.5 23.7928 53.5C23.8062 53.5 23.8196 53.5 23.833 53.5C23.8465 53.5 23.8599 53.5 23.8732 53.5C23.8866 53.5 23.9 53.5 23.9134 53.5C23.9268 53.5 23.9402 53.5 23.9536 53.5C23.9669 53.5 23.9803 53.5 23.9937 53.5C24.007 53.5 24.0204 53.5 24.0337 53.5C24.0471 53.5 24.0605 53.5 24.0738 53.5C24.0871 53.5 24.1005 53.5 24.1138 53.5C24.1272 53.5 24.1405 53.5 24.1538 53.5C24.1671 53.5 24.1805 53.5 24.1938 53.5C24.2071 53.5 24.2204 53.5 24.2337 53.5C24.247 53.5 24.2603 53.5 24.2736 53.5C24.2869 53.5 24.3002 53.5 24.3135 53.5C24.3268 53.5 24.3401 53.5 24.3533 53.5C24.3666 53.5 24.3799 53.5 24.3932 53.5C24.4064 53.5 24.4197 53.5 24.433 53.5C24.4462 53.5 24.4595 53.5 24.4727 53.5C24.486 53.5 24.4992 53.5 24.5125 53.5C24.5257 53.5 24.539 53.5 24.5522 53.5C24.5654 53.5 24.5787 53.5 24.5919 53.5C24.6051 53.5 24.6183 53.5 24.6316 53.5C24.6448 53.5 24.658 53.5 24.6712 53.5C24.6844 53.5 24.6976 53.5 24.7108 53.5C24.724 53.5 24.7372 53.5 24.7504 53.5C24.7636 53.5 24.7768 53.5 24.79 53.5C24.8032 53.5 24.8164 53.5 24.8295 53.5C24.8427 53.5 24.8559 53.5 24.869 53.5C24.8822 53.5 24.8954 53.5 24.9085 53.5C24.9217 53.5 24.9349 53.5 24.948 53.5C24.9612 53.5 24.9743 53.5 24.9875 53.5C25.0006 53.5 25.0138 53.5 25.0269 53.5C25.04 53.5 25.0532 53.5 25.0663 53.5C25.0794 53.5 25.0926 53.5 25.1057 53.5C25.1188 53.5 25.1319 53.5 25.145 53.5C25.1582 53.5 25.1713 53.5 25.1844 53.5C25.1975 53.5 25.2106 53.5 25.2237 53.5C25.2368 53.5 25.2499 53.5 25.263 53.5C25.2761 53.5 25.2892 53.5 25.3023 53.5C25.3153 53.5 25.3284 53.5 25.3415 53.5C25.3546 53.5 25.3677 53.5 25.3807 53.5C25.3938 53.5 25.4069 53.5 25.42 53.5C25.433 53.5 25.4461 53.5 25.4592 53.5C25.4722 53.5 25.4853 53.5 25.4983 53.5C25.5114 53.5 25.5244 53.5 25.5375 53.5C25.5505 53.5 25.5636 53.5 25.5766 53.5C25.5897 53.5 25.6027 53.5 25.6157 53.5C25.6288 53.5 25.6418 53.5 25.6548 53.5C25.6679 53.5 25.6809 53.5 25.6939 53.5C25.7069 53.5 25.72 53.5 25.733 53.5C25.746 53.5 25.759 53.5 25.772 53.5C25.785 53.5 25.798 53.5 25.811 53.5C25.824 53.5 25.837 53.5 25.85 53.5C25.8631 53.5 25.876 53.5 25.889 53.5C25.902 53.5 25.915 53.5 25.928 53.5C25.941 53.5 25.954 53.5 25.967 53.5C25.98 53.5 25.9929 53.5 26.0059 53.5C26.0189 53.5 26.0319 53.5 26.0448 53.5C26.0578 53.5 26.0708 53.5 26.0838 53.5C26.0967 53.5 26.1097 53.5 26.1227 53.5C26.1356 53.5 26.1486 53.5 26.1615 53.5C26.1745 53.5 26.1875 53.5 26.2004 53.5C26.2134 53.5 26.2263 53.5 26.2393 53.5C26.2522 53.5 26.2652 53.5 26.2781 53.5C26.291 53.5 26.304 53.5 26.3169 53.5C26.3299 53.5 26.3428 53.5 26.3557 53.5C26.3687 53.5 26.3816 53.5 26.3945 53.5C26.4075 53.5 26.4204 53.5 26.4333 53.5C26.4462 53.5 26.4592 53.5 26.4721 53.5C26.485 53.5 26.4979 53.5 26.5108 53.5C26.5238 53.5 26.5367 53.5 26.5496 53.5C26.5625 53.5 26.5754 53.5 26.5883 53.5C26.6012 53.5 26.6141 53.5 26.627 53.5C26.64 53.5 26.6529 53.5 26.6658 53.5C26.6787 53.5 26.6916 53.5 26.7045 53.5C26.7174 53.5 26.7303 53.5 26.7432 53.5C26.756 53.5 26.7689 53.5 26.7818 53.5C26.7947 53.5 26.8076 53.5 26.8205 53.5C26.8334 53.5 26.8463 53.5 26.8592 53.5C26.872 53.5 26.8849 53.5 26.8978 53.5C26.9107 53.5 26.9236 53.5 26.9364 53.5C26.9493 53.5 26.9622 53.5 26.9751 53.5C26.9879 53.5 27.0008 53.5 27.0137 53.5C27.0266 53.5 27.0394 53.5 27.0523 53.5C27.0652 53.5 27.078 53.5 27.0909 53.5C27.1038 53.5 27.1166 53.5 27.1295 53.5C27.1424 53.5 27.1552 53.5 27.1681 53.5C27.181 53.5 27.1938 53.5 27.2067 53.5C27.2195 53.5 27.2324 53.5 27.2452 53.5C27.2581 53.5 27.271 53.5 27.2838 53.5C27.2967 53.5 27.3095 53.5 27.3224 53.5C27.3352 53.5 27.3481 53.5 27.3609 53.5C27.3738 53.5 27.3866 53.5 27.3995 53.5C27.4123 53.5 27.4252 53.5 27.438 53.5C27.4509 53.5 27.4637 53.5 27.4765 53.5C27.4894 53.5 27.5022 53.5 27.5151 53.5C27.5279 53.5 27.5408 53.5 27.5536 53.5C27.5664 53.5 27.5793 53.5 27.5921 53.5C27.605 53.5 27.6178 53.5 27.6306 53.5C27.6435 53.5 27.6563 53.5 27.6691 53.5C27.682 53.5 27.6948 53.5 27.7076 53.5C27.7205 53.5 27.7333 53.5 27.7461 53.5C27.759 53.5 27.7718 53.5 27.7846 53.5C27.7975 53.5 27.8103 53.5 27.8231 53.5C27.836 53.5 27.8488 53.5 27.8616 53.5C27.8745 53.5 27.8873 53.5 27.9001 53.5C27.9129 53.5 27.9258 53.5 27.9386 53.5C27.9514 53.5 27.9643 53.5 27.9771 53.5C27.9899 53.5 28.0027 53.5 28.0156 53.5C28.0284 53.5 28.0412 53.5 28.0541 53.5C28.0669 53.5 28.0797 53.5 28.0925 53.5C28.1054 53.5 28.1182 53.5 28.131 53.5C28.1438 53.5 28.1567 53.5 28.1695 53.5C28.1823 53.5 28.1951 53.5 28.208 53.5C28.2208 53.5 28.2336 53.5 28.2464 53.5C28.2593 53.5 28.2721 53.5 28.2849 53.5C28.2977 53.5 28.3106 53.5 28.3234 53.5C28.3362 53.5 28.349 53.5 28.3619 53.5C28.3747 53.5 28.3875 53.5 28.4003 53.5C28.4132 53.5 28.426 53.5 28.4388 53.5C28.4517 53.5 28.4645 53.5 28.4773 53.5C28.4901 53.5 28.503 53.5 28.5158 53.5C28.5286 53.5 28.5414 53.5 28.5543 53.5C28.5671 53.5 28.5799 53.5 28.5928 53.5C28.6056 53.5 28.6184 53.5 28.6312 53.5C28.6441 53.5 28.6569 53.5 28.6697 53.5C28.6826 53.5 28.6954 53.5 28.7082 53.5C28.7211 53.5 28.7339 53.5 28.7467 53.5C28.7596 53.5 28.7724 53.5 28.7852 53.5C28.7981 53.5 28.8109 53.5 28.8237 53.5C28.8366 53.5 28.8494 53.5 28.8622 53.5C28.8751 53.5 28.8879 53.5 28.9008 53.5C28.9136 53.5 28.9264 53.5 28.9393 53.5C28.9521 53.5 28.965 53.5 28.9778 53.5C28.9906 53.5 29.0035 53.5 29.0163 53.5C29.0292 53.5 29.042 53.5 29.0549 53.5C29.0677 53.5 29.0805 53.5 29.0934 53.5C29.1062 53.5 29.1191 53.5 29.1319 53.5C29.1448 53.5 29.1576 53.5 29.1705 53.5C29.1833 53.5 29.1962 53.5 29.209 53.5C29.2219 53.5 29.2348 53.5 29.2476 53.5C29.2605 53.5 29.2733 53.5 29.2862 53.5C29.299 53.5 29.3119 53.5 29.3248 53.5C29.3376 53.5 29.3505 53.5 29.3633 53.5C29.3762 53.5 29.3891 53.5 29.4019 53.5C29.4148 53.5 29.4277 53.5 29.4405 53.5C29.4534 53.5 29.4663 53.5 29.4792 53.5C29.492 53.5 29.5049 53.5 29.5178 53.5C29.5306 53.5 29.5435 53.5 29.5564 53.5C29.5693 53.5 29.5822 53.5 29.595 53.5C29.6079 53.5 29.6208 53.5 29.6337 53.5C29.6466 53.5 29.6595 53.5 29.6723 53.5C29.6852 53.5 29.6981 53.5 29.711 53.5C29.7239 53.5 29.7368 53.5 29.7497 53.5C29.7626 53.5 29.7755 53.5 29.7884 53.5C29.8013 53.5 29.8142 53.5 29.8271 53.5C29.84 53.5 29.8529 53.5 29.8658 53.5C29.8787 53.5 29.8916 53.5 29.9045 53.5C29.9174 53.5 29.9303 53.5 29.9432 53.5C29.9562 53.5 29.9691 53.5 29.982 53.5C29.9949 53.5 30.0078 53.5 30.0207 53.5C30.0337 53.5 30.0466 53.5 30.0595 53.5C30.0724 53.5 30.0854 53.5 30.0983 53.5C30.1112 53.5 30.1242 53.5 30.1371 53.5C30.15 53.5 30.163 53.5 30.1759 53.5C30.1888 53.5 30.2018 53.5 30.2147 53.5C30.2277 53.5 30.2406 53.5 30.2536 53.5C30.2665 53.5 30.2794 53.5 30.2924 53.5C30.3054 53.5 30.3183 53.5 30.3313 53.5C30.3442 53.5 30.3572 53.5 30.3701 53.5C30.3831 53.5 30.3961 53.5 30.409 53.5C30.422 53.5 30.435 53.5 30.4479 53.5C30.4609 53.5 30.4739 53.5 30.4869 53.5C30.4998 53.5 30.5128 53.5 30.5258 53.5C30.5388 53.5 30.5518 53.5 30.5648 53.5C30.5778 53.5 30.5907 53.5 30.6037 53.5C30.6167 53.5 30.6297 53.5 30.6427 53.5C30.6557 53.5 30.6687 53.5 30.6817 53.5C30.6947 53.5 30.7077 53.5 30.7208 53.5C30.7338 53.5 30.7468 53.5 30.7598 53.5C30.7728 53.5 30.7858 53.5 30.7989 53.5C30.8119 53.5 30.8249 53.5 30.8379 53.5C30.851 53.5 30.864 53.5 30.877 53.5C30.8901 53.5 30.9031 53.5 30.9161 53.5C30.9292 53.5 30.9422 53.5 30.9553 53.5C30.9683 53.5 30.9814 53.5 30.9944 53.5C31.0075 53.5 31.0205 53.5 31.0336 53.5C31.0467 53.5 31.0597 53.5 31.0728 53.5C31.0858 53.5 31.0989 53.5 31.112 53.5C31.1251 53.5 31.1381 53.5 31.1512 53.5C31.1643 53.5 31.1774 53.5 31.1905 53.5C31.2036 53.5 31.2166 53.5 31.2297 53.5C31.2428 53.5 31.2559 53.5 31.269 53.5C31.2821 53.5 31.2952 53.5 31.3083 53.5C31.3214 53.5 31.3346 53.5 31.3477 53.5C31.3608 53.5 31.3739 53.5 31.387 53.5C31.4002 53.5 31.4133 53.5 31.4264 53.5C31.4395 53.5 31.4527 53.5 31.4658 53.5C31.4789 53.5 31.4921 53.5 31.5052 53.5C31.5184 53.5 31.5315 53.5 31.5447 53.5C31.5578 53.5 31.571 53.5 31.5841 53.5C31.5973 53.5 31.6105 53.5 31.6236 53.5C31.6368 53.5 31.65 53.5 31.6632 53.5C31.6763 53.5 31.6895 53.5 31.7027 53.5C31.7159 53.5 31.7291 53.5 31.7423 53.5C31.7554 53.5 31.7686 53.5 31.7818 53.5C31.795 53.5 31.8082 53.5 31.8215 53.5C31.8347 53.5 31.8479 53.5 31.8611 53.5C31.8743 53.5 31.8875 53.5 31.9008 53.5C31.914 53.5 31.9272 53.5 31.9404 53.5C31.9537 53.5 31.9669 53.5 31.9802 53.5C31.9934 53.5 32.0066 53.5 32.0199 53.5C32.0331 53.5 32.0464 53.5 32.0597 53.5C32.0729 53.5 32.0862 53.5 32.0995 53.5C32.1127 53.5 32.126 53.5 32.1393 53.5C32.1526 53.5 32.1658 53.5 32.1791 53.5C32.1924 53.5 32.2057 53.5 32.219 53.5C32.2323 53.5 32.2456 53.5 32.2589 53.5C32.2722 53.5 32.2855 53.5 32.2988 53.5C32.3121 53.5 32.3255 53.5 32.3388 53.5C32.3521 53.5 32.3654 53.5 32.3788 53.5C32.3921 53.5 32.4054 53.5 32.4188 53.5C32.4321 53.5 32.4455 53.5 32.4588 53.5C32.4722 53.5 32.4855 53.5 32.4989 53.5C32.5123 53.5 32.5256 53.5 32.539 53.5C32.5524 53.5 32.5658 53.5 32.5791 53.5C32.5925 53.5 32.6059 53.5 32.6193 53.5C32.6327 53.5 32.6461 53.5 32.6595 53.5C32.6729 53.5 32.6863 53.5 32.6997 53.5C32.7131 53.5 32.7266 53.5 32.74 53.5C32.7534 53.5 32.7668 53.5 32.7803 53.5C32.7937 53.5 32.8071 53.5 32.8206 53.5C32.834 53.5 32.8475 53.5 32.8609 53.5C32.8744 53.5 32.8879 53.5 32.9013 53.5C32.9148 53.5 32.9283 53.5 32.9417 53.5C32.9552 53.5 32.9687 53.5 32.9822 53.5C32.9957 53.5 33.0092 53.5 33.0227 53.5C33.0362 53.5 33.0497 53.5 33.0632 53.5C33.0767 53.5 33.0902 53.5 33.1037 53.5C33.1173 53.5 33.1308 53.5 33.1443 53.5C33.1578 53.5 33.1714 53.5 33.1849 53.5C33.1985 53.5 33.212 53.5 33.2256 53.5C33.2391 53.5 33.2527 53.5 33.2663 53.5C33.2798 53.5 33.2934 53.5 33.307 53.5C33.3206 53.5 33.3341 53.5 33.3477 53.5C33.3613 53.5 33.3749 53.5 33.3885 53.5C33.4021 53.5 33.4157 53.5 33.4293 53.5C33.443 53.5 33.4566 53.5 33.4702 53.5C33.4838 53.5 33.4975 53.5 33.5111 53.5C33.5247 53.5 33.5384 53.5 33.552 53.5C33.5657 53.5 33.5793 53.5 33.593 53.5C33.6067 53.5 33.6203 53.5 33.634 53.5C33.6477 53.5 33.6614 53.5 33.6751 53.5C33.6887 53.5 33.7024 53.5 33.7161 53.5C33.7298 53.5 33.7435 53.5 33.7573 53.5C33.771 53.5 33.7847 53.5 33.7984 53.5C33.8121 53.5 33.8259 53.5 33.8396 53.5C33.8533 53.5 33.8671 53.5 33.8808 53.5C33.8946 53.5 33.9083 53.5 33.9221 53.5C33.9359 53.5 33.9496 53.5 33.9634 53.5C33.9772 53.5 33.991 53.5 34.0048 53.5C34.0186 53.5 34.0324 53.5 34.0462 53.5C34.06 53.5 34.0738 53.5 34.0876 53.5C34.1014 53.5 34.1152 53.5 34.1291 53.5C34.1429 53.5 34.1567 53.5 34.1706 53.5C34.1844 53.5 34.1983 53.5 34.2121 53.5C34.226 53.5 34.2398 53.5 34.2537 53.5C34.2676 53.5 34.2815 53.5 34.2954 53.5C34.3092 53.5 34.3231 53.5 34.337 53.5C34.3509 53.5 34.3648 53.5 34.3787 53.5C34.3927 53.5 34.4066 53.5 34.4205 53.5C34.4344 53.5 34.4484 53.5 34.4623 53.5C34.4763 53.5 34.4902 53.5 34.5042 53.5C34.5181 53.5 34.5321 53.5 34.546 53.5C34.56 53.5 34.574 53.5 34.588 53.5C34.602 53.5 34.616 53.5 34.63 53.5C34.644 53.5 34.658 53.5 34.672 53.5C34.686 53.5 34.7 53.5 34.714 53.5C34.7281 53.5 34.7421 53.5 34.7561 53.5C34.7702 53.5 34.7842 53.5 34.7983 53.5C34.8123 53.5 34.8264 53.5 34.8405 53.5C34.8546 53.5 34.8686 53.5 34.8827 53.5C34.8968 53.5 34.9109 53.5 34.925 53.5C34.9391 53.5 34.9532 53.5 34.9673 53.5C34.9815 53.5 34.9956 53.5 35.0097 53.5C35.0239 53.5 35.038 53.5 35.0522 53.5C35.0663 53.5 35.0805 53.5 35.0946 53.5C35.1088 53.5 35.123 53.5 35.1371 53.5C35.1513 53.5 35.1655 53.5 35.1797 53.5C35.1939 53.5 35.2081 53.5 35.2223 53.5C35.2365 53.5 35.2507 53.5 35.265 53.5C35.2792 53.5 35.2934 53.5 35.3077 53.5C35.3219 53.5 35.3362 53.5 35.3504 53.5C35.3647 53.5 35.379 53.5 35.3932 53.5C35.4075 53.5 35.4218 53.5 35.4361 53.5C35.4504 53.5 35.4647 53.5 35.479 53.5C35.4933 53.5 35.5076 53.5 35.5219 53.5C35.5363 53.5 35.5506 53.5 35.5649 53.5C35.5793 53.5 35.5936 53.5 35.608 53.5C35.6224 53.5 35.6367 53.5 35.6511 53.5C35.6655 53.5 35.6799 53.5 35.6942 53.5C35.7086 53.5 35.723 53.5 35.7374 53.5C35.7519 53.5 35.7663 53.5 35.7807 53.5C35.7951 53.5 35.8096 53.5 35.824 53.5C35.8384 53.5 35.8529 53.5 35.8674 53.5C35.8818 53.5 35.8963 53.5 35.9108 53.5C35.9252 53.5 35.9397 53.5 35.9542 53.5C35.9687 53.5 35.9832 53.5 35.9977 53.5V50.5ZM7.5 50.5C5.29086 50.5 3.5 48.7091 3.5 46.5H0.5C0.5 50.366 3.63401 53.5 7.5 53.5V50.5ZM40.5 46C40.5 48.4845 38.4837 50.5 35.9977 50.5V53.5C40.1391 53.5 43.5 50.1429 43.5 46H40.5ZM43.5 12C43.5 7.85786 40.1421 4.5 36 4.5V7.5C38.4853 7.5 40.5 9.51472 40.5 12H43.5ZM8 4.5C3.85786 4.5 0.5 7.85787 0.5 12H3.5C3.5 9.51472 5.51472 7.5 8 7.5V4.5Z"
            fill="currentColor"
          />
          <rect x="9" y="2" width="26" height="8" rx="2" stroke="currentColor" stroke-width="3" />
        </symbol>
        <symbol id="ci-fire-search" fill="none">
          <path
            d="M51.0238 51.1389C51.6528 51.678 52.5998 51.6052 53.1389 50.9762C53.678 50.3472 53.6052 49.4002 52.9762 48.8611L51.0238 51.1389ZM44.0238 45.1389L51.0238 51.1389L52.9762 48.8611L45.9762 42.8611L44.0238 45.1389Z"
            fill="currentColor"
          />
          <circle cx="38" cy="36" r="10.5" stroke="currentColor" stroke-width="3" />
          <path
            d="M31.6462 21.147C27.4185 15.4509 25.1097 12.7467 27.1229 2C13.1017 11.5735 13.1017 23.5403 17.776 30.7204C10.7654 33.1138 8.42861 22.7425 8.42861 21.147C2.35633 24.2565 0.0793722 34.436 3.8105 42.5M31 50.1518C26.8563 52.6502 21.6056 53.6807 16.5 52.5319M6 46C7.58074 47.8833 9.461 49.8263 12 51"
            stroke="currentColor"
            stroke-width="3"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="ci-heartbeat" fill="none">
          <path
            d="M8 28C8 13.6406 19.6406 2 34 2C48.3594 2 60 13.6406 60 28C60 42.3594 48.3594 54 34 54C26.7615 54 20.2139 51.042 15.5 46.2688M9.94296 37.88C10.691 39.6994 11.6393 41.4152 12.7606 43"
            stroke="currentColor"
            stroke-width="3"
            stroke-linecap="round"
          />
          <path
            d="M1.5 28H23.5L28 19.5L37.5 36.5L43 28H48.5"
            stroke="currentColor"
            stroke-width="3"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="ci-moneybag" fill="none">
          <path
            d="M8.80537 51C5.67192 51 3.03309 48.8823 2.24206 46M13 51H39.1946C42.9531 51 46 47.9531 46 44.1946V34C46 24.9349 40.5173 17.1504 32.687 13.7816C32.1025 13.5301 31.8566 12.8172 32.1761 12.267C34.0896 8.97155 35.6276 5.24462 36.3747 3.31509C36.6238 2.67182 36.1437 2 35.4539 2H13.4654C12.7984 2 12.3217 2.63103 12.5321 3.26399C13.157 5.14341 14.4818 8.80585 16.2978 12.0851C16.6077 12.6446 16.347 13.3576 15.7541 13.5975C7.6894 16.8601 2 24.7656 2 34V42"
            stroke="currentColor"
            stroke-width="3"
            stroke-linecap="round"
          />
          <path
            d="M18.5 45V22H28.9118C32.2742 22 35 24.7258 35 28.0882V28.0882C35 31.4507 32.2742 34.1765 28.9118 34.1765H13M13 39.5882H29.5"
            stroke="currentColor"
            stroke-width="3"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="ci-person-load" fill="none">
          <path
            d="M36 50V44.6429C36 39.7427 32.6964 35.4335 28.3636 33.6557C30.342 32.3004 31.6364 30.0487 31.6364 27.5C31.6364 23.3579 28.2174 20 24 20C19.7826 20 16.3636 23.3579 16.3636 27.5C16.3636 30.0487 17.658 32.3004 19.6364 33.6557C15.3036 35.4335 12 39.7427 12 44.6429V50"
            stroke="currentColor"
            stroke-width="3"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            d="M46 27C46 20.4292 43.1193 14.5312 38.552 10.5M2 27C2 24.1777 2.53146 21.4795 3.49976 19M5.55786 15C9.48326 8.97958 16.2769 5 24 5C25.7199 5 27.3937 5.19736 29 5.57067"
            stroke="currentColor"
            stroke-width="3"
            stroke-linecap="round"
          />
          <path
            fill-rule="evenodd"
            clip-rule="evenodd"
            d="M38.0075 0.289804C38.9615 0.881125 39.2838 2.18225 38.7272 3.19594L31.7277 15.9454C31.1711 16.9591 29.9466 17.3015 28.9925 16.7102C28.0385 16.1189 27.7162 14.8178 28.2728 13.8041L35.2723 1.05458C35.8289 0.040883 37.0534 -0.301518 38.0075 0.289804Z"
            fill="currentColor"
          />
        </symbol>
        <symbol id="ci-plus-circle" fill="none">
          <path d="M25 13V39" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" />
          <path d="M12 26L38 26" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round" />
          <path
            d="M10.0745 43.5C10.0745 43.5 7.5 41.5 5.69169 38.4421M14 46.204C17.2676 47.9868 21.0155 49 25 49C37.7025 49 48 38.7025 48 26C48 13.2975 37.7025 3 25 3C12.2975 3 2 13.2975 2 26C2 29.0024 2.5753 31.8705 3.62169 34.5"
            stroke="currentColor"
            stroke-width="3"
            stroke-linecap="round"
          />
        </symbol>
        <symbol id="ci-project-group-arrow" fill="none">
          <path
            d="M13.5 53H46C49.3137 53 52 50.3137 52 47V19C52 15.6863 49.3137 13 46 13H8C4.68629 13 2 15.6863 2 19V43M9 53H7.5C4.46243 53 2 50.5376 2 47.5V47.5"
            stroke="currentColor"
            stroke-width="3"
            stroke-linecap="round"
          />
          <path d="M37 14V6C37 3.79086 35.2091 2 33 2H21C18.7909 2 17 3.79086 17 6V14" stroke="currentColor" stroke-width="3" />
          <path
            d="M11 44L12.7714 42.1818L14.9857 39.9091L18.8116 35.8182L22.0947 32.3794L28.0383 38.6047L42 24M42 24H35.1707M42 24V31.1344"
            stroke="currentColor"
            stroke-width="3"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </symbol>
        <symbol id="ci-arrow-to-left-stop" fill="none">
          <path d="M1 12L1 4" stroke="currentColor" stroke-linecap="round" />
          <path d="M12 6.5V8.5" stroke="currentColor" stroke-linecap="round" />
          <path d="M10 7.5L2.5 7.5M2.5 7.5L4.5 10M2.5 7.5L4.5 5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <symbol id="ci-arrow-to-right-stop" fill="none">
          <path d="M12 3L12 11" stroke="currentColor" stroke-linecap="round" />
          <path d="M1 6L1 8" stroke="currentColor" stroke-linecap="round" />
          <path d="M3 7H10.5M10.5 7L8.5 4.5M10.5 7L8.5 9.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <symbol id="ci-flag-line" fill="none">
          <path d="M6 12.5V1.5L12 4.5L6 7.5M3 12.5H9" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
        <symbol id="ci-trash" fill="none">
          <path
            d="M3.5 4.5C3.5 4.22386 3.72386 4 4 4H10C10.2761 4 10.5 4.22386 10.5 4.5V11.5C10.5 11.7761 10.2761 12 10 12H4C3.72386 12 3.5 11.7761 3.5 11.5V4.5Z"
            stroke="currentColor"
          />
          <path d="M2 4H5M12 4H9M5 4V2H9V4M5 4H9" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" />
        </symbol>
      </svg>
    </div>
  `,
  styles: [],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CustomIconsComponent {}
